// This file was generated by the following script:
//
//   $ /home/brian/src/AceTimeTools/src/acetimetools/tzcompiler.py
//     --input_dir /home/brian/src/AceTime/src/ace_time/zonedb/tzfiles
//     --output_dir /home/brian/src/AceTime/src/ace_time/zonedb
//     --tz_version 2022g
//     --action zonedb
//     --language arduino
//     --scope basic
//     --generate_int16_years
//     --start_year 2000
//     --until_year 10000
//
// using the TZ Database files
//
//   africa
//   antarctica
//   asia
//   australasia
//   backward
//   etcetera
//   europe
//   northamerica
//   southamerica
//
// from https://github.com/eggert/tz/releases/tag/2022g
//
// Policies: 63
// Rules: 314
// Letter Size (bytes): 0
// Total Memory 8-bit (bytes): 3832
// Total Memory 32-bit (bytes): 4524
//
// DO NOT EDIT

#include <ace_time/common/compat.h>
#include "zone_policies.h"

namespace ace_time {
namespace zonedb {

//---------------------------------------------------------------------------
// Policy name: AN
// Rules: 9
// Memory (8-bit): 105
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAN[] ACE_TIME_PROGMEM = {
  // Rule    AN    1987    1999    -    Oct    lastSun    2:00s    1:00    D
  {
    1987 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AN    1990    1995    -    Mar    Sun>=1    2:00s    0    S
  {
    1990 /*fromYear*/,
    1995 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    1996    2005    -    Mar    lastSun    2:00s    0    S
  {
    1996 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AN    2001    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    2001 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AN    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAN ACE_TIME_PROGMEM = {
  kZoneRulesAN /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AQ
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAQ[] ACE_TIME_PROGMEM = {
  // Rule    AQ    1990    1992    -    Mar    Sun>=1    2:00s    0    S
  {
    1990 /*fromYear*/,
    1992 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAQ ACE_TIME_PROGMEM = {
  kZoneRulesAQ /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AS
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAS[] ACE_TIME_PROGMEM = {
  // Rule    AS    1987    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    1987 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AS    1994    only    -    Mar    20    2:00s    0    S
  {
    1994 /*fromYear*/,
    1994 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    1995    2005    -    Mar    lastSun    2:00s    0    S
  {
    1995 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2006    only    -    Apr    2    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAS ACE_TIME_PROGMEM = {
  kZoneRulesAS /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AT
// Rules: 8
// Memory (8-bit): 94
// Memory (32-bit): 108
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAT[] ACE_TIME_PROGMEM = {
  // Rule    AT    1988    1990    -    Oct    lastSun    2:00s    1:00    D
  {
    1988 /*fromYear*/,
    1990 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    1991    1999    -    Oct    Sun>=1    2:00s    1:00    D
  {
    1991 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    1991    2005    -    Mar    lastSun    2:00s    0    S
  {
    1991 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    2001    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2001 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AT    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAT ACE_TIME_PROGMEM = {
  kZoneRulesAT /*rules*/,
  nullptr /*letters*/,
  8 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AV
// Rules: 9
// Memory (8-bit): 105
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAV[] ACE_TIME_PROGMEM = {
  // Rule    AV    1988    1999    -    Oct    lastSun    2:00s    1:00    D
  {
    1988 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AV    1991    1994    -    Mar    Sun>=1    2:00s    0    S
  {
    1991 /*fromYear*/,
    1994 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    1995    2005    -    Mar    lastSun    2:00s    0    S
  {
    1995 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AV    2001    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    2001 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AV    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAV ACE_TIME_PROGMEM = {
  kZoneRulesAV /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AW
// Rules: 4
// Memory (8-bit): 50
// Memory (32-bit): 60
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAW[] ACE_TIME_PROGMEM = {
  // Rule    AW    1992    only    -    Mar    Sun>=1    2:00s    0    S
  {
    1992 /*fromYear*/,
    1992 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AW    2006    only    -    Dec     3    2:00s    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    AW    2007    2009    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    AW    2007    2008    -    Oct    lastSun    2:00s    1:00    D
  {
    2007 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAW ACE_TIME_PROGMEM = {
  kZoneRulesAW /*rules*/,
  nullptr /*letters*/,
  4 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Armenia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesArmenia[] ACE_TIME_PROGMEM = {
  // Anchor: Rule Armenia    2011    only    -    Oct    lastSun     2:00s    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Armenia    2011    only    -    Mar    lastSun     2:00s    1:00    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule Armenia    2011    only    -    Oct    lastSun     2:00s    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyArmenia ACE_TIME_PROGMEM = {
  kZoneRulesArmenia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Aus
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAus[] ACE_TIME_PROGMEM = {
  // Rule    Aus    1943    1944    -    Mar    lastSun    2:00s    0    S
  {
    1943 /*fromYear*/,
    1944 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAus ACE_TIME_PROGMEM = {
  kZoneRulesAus /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Azer
// Rules: 2
// Memory (8-bit): 28
// Memory (32-bit): 36
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesAzer[] ACE_TIME_PROGMEM = {
  // Rule    Azer    1997    2015    -    Mar    lastSun     4:00    1:00    -
  {
    1997 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Azer    1997    2015    -    Oct    lastSun     5:00    0    -
  {
    1997 /*fromYear*/,
    2015 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    20 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyAzer ACE_TIME_PROGMEM = {
  kZoneRulesAzer /*rules*/,
  nullptr /*letters*/,
  2 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Barb
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesBarb[] ACE_TIME_PROGMEM = {
  // Rule    Barb    1980    only    -    Sep    25    2:00    0    S
  {
    1980 /*fromYear*/,
    1980 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyBarb ACE_TIME_PROGMEM = {
  kZoneRulesBarb /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Brazil
// Rules: 20
// Memory (8-bit): 226
// Memory (32-bit): 252
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesBrazil[] ACE_TIME_PROGMEM = {
  // Rule    Brazil    1998    only    -    Oct    11     0:00    1:00    -
  {
    1998 /*fromYear*/,
    1998 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    1999    only    -    Feb    21     0:00    0    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    1999    only    -    Oct     3     0:00    1:00    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2000    only    -    Feb    27     0:00    0    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2000    2001    -    Oct    Sun>=8     0:00    1:00    -
  {
    2000 /*fromYear*/,
    2001 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2001    2006    -    Feb    Sun>=15     0:00    0    -
  {
    2001 /*fromYear*/,
    2006 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2002    only    -    Nov     3     0:00    1:00    -
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2003    only    -    Oct    19     0:00    1:00    -
  {
    2003 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2004    only    -    Nov     2     0:00    1:00    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2005    only    -    Oct    16     0:00    1:00    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2006    only    -    Nov     5     0:00    1:00    -
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2007    only    -    Feb    25     0:00    0    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2007    only    -    Oct    Sun>=8     0:00    1:00    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2008    2017    -    Oct    Sun>=15    0:00    1:00    -
  {
    2008 /*fromYear*/,
    2017 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2008    2011    -    Feb    Sun>=15    0:00    0    -
  {
    2008 /*fromYear*/,
    2011 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2012    only    -    Feb    Sun>=22    0:00    0    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2013    2014    -    Feb    Sun>=15    0:00    0    -
  {
    2013 /*fromYear*/,
    2014 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2015    only    -    Feb    Sun>=22    0:00    0    -
  {
    2015 /*fromYear*/,
    2015 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2016    2019    -    Feb    Sun>=15    0:00    0    -
  {
    2016 /*fromYear*/,
    2019 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2018    only    -    Nov    Sun>=1    0:00    1:00    -
  {
    2018 /*fromYear*/,
    2018 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyBrazil ACE_TIME_PROGMEM = {
  kZoneRulesBrazil /*rules*/,
  nullptr /*letters*/,
  20 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: C_Eur
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesC_Eur[] ACE_TIME_PROGMEM = {
  // Rule    C-Eur    1979    1995    -    Sep    lastSun     2:00s    0    -
  {
    1979 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    C-Eur    1981    max    -    Mar    lastSun     2:00s    1:00    S
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    C-Eur    1996    max    -    Oct    lastSun     2:00s    0    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyC_Eur ACE_TIME_PROGMEM = {
  kZoneRulesC_Eur /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: CO
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCO[] ACE_TIME_PROGMEM = {
  // Rule    CO    1993    only    -    Feb     6    24:00    0    -
  {
    1993 /*fromYear*/,
    1993 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyCO ACE_TIME_PROGMEM = {
  kZoneRulesCO /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: CR
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCR[] ACE_TIME_PROGMEM = {
  // Rule    CR    1992    only    -    Mar    15    0:00    0    S
  {
    1992 /*fromYear*/,
    1992 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyCR ACE_TIME_PROGMEM = {
  kZoneRulesCR /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Canada
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCanada[] ACE_TIME_PROGMEM = {
  // Rule    Canada    1974    1986    -    Apr    lastSun    2:00    1:00    D
  {
    1974 /*fromYear*/,
    1986 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    1974    2006    -    Oct    lastSun    2:00    0    S
  {
    1974 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Canada    1987    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    1987 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyCanada ACE_TIME_PROGMEM = {
  kZoneRulesCanada /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Chatham
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesChatham[] ACE_TIME_PROGMEM = {
  // Rule    Chatham    1989    only    -    Oct    Sun>=8    2:45s    1:00    -
  {
    1989 /*fromYear*/,
    1989 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    1990    2006    -    Oct    Sun>=1    2:45s    1:00    -
  {
    1990 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    1990    2007    -    Mar    Sun>=15    2:45s    0    -
  {
    1990 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    2007    max    -    Sep    lastSun    2:45s    1:00    -
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    2008    max    -    Apr    Sun>=1    2:45s    0    -
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyChatham ACE_TIME_PROGMEM = {
  kZoneRulesChatham /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Chile
// Rules: 17
// Memory (8-bit): 193
// Memory (32-bit): 216
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesChile[] ACE_TIME_PROGMEM = {
  // Rule    Chile    1998    only    -    Sep    27    4:00u    1:00    -
  {
    1998 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    1999    only    -    Apr     4    3:00u    0    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    1999    2010    -    Oct    Sun>=9    4:00u    1:00    -
  {
    1999 /*fromYear*/,
    2010 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2000    2007    -    Mar    Sun>=9    3:00u    0    -
  {
    2000 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2008    only    -    Mar    30    3:00u    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2009    only    -    Mar    Sun>=9    3:00u    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2010    only    -    Apr    Sun>=1    3:00u    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2011    only    -    May    Sun>=2    3:00u    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2011    only    -    Aug    Sun>=16    4:00u    1:00    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2012    2014    -    Apr    Sun>=23    3:00u    0    -
  {
    2012 /*fromYear*/,
    2014 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2012    2014    -    Sep    Sun>=2    4:00u    1:00    -
  {
    2012 /*fromYear*/,
    2014 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2016    2018    -    May    Sun>=9    3:00u    0    -
  {
    2016 /*fromYear*/,
    2018 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2016    2018    -    Aug    Sun>=9    4:00u    1:00    -
  {
    2016 /*fromYear*/,
    2018 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2019    max    -    Apr    Sun>=2    3:00u    0    -
  {
    2019 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2019    2021    -    Sep    Sun>=2    4:00u    1:00    -
  {
    2019 /*fromYear*/,
    2021 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2022    only    -    Sep    Sun>=9    4:00u    1:00    -
  {
    2022 /*fromYear*/,
    2022 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2023    max    -    Sep    Sun>=2    4:00u    1:00    -
  {
    2023 /*fromYear*/,
    9999 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyChile ACE_TIME_PROGMEM = {
  kZoneRulesChile /*rules*/,
  nullptr /*letters*/,
  17 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Cook
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCook[] ACE_TIME_PROGMEM = {
  // Rule    Cook    1979    1991    -    Mar    Sun>=1    0:00    0    -
  {
    1979 /*fromYear*/,
    1991 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyCook ACE_TIME_PROGMEM = {
  kZoneRulesCook /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Cuba
// Rules: 14
// Memory (8-bit): 160
// Memory (32-bit): 180
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesCuba[] ACE_TIME_PROGMEM = {
  // Rule    Cuba    1997    only    -    Oct    12    0:00s    0    S
  {
    1997 /*fromYear*/,
    1997 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    1998    1999    -    Mar    lastSun    0:00s    1:00    D
  {
    1998 /*fromYear*/,
    1999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    1998    2003    -    Oct    lastSun    0:00s    0    S
  {
    1998 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2000    2003    -    Apr    Sun>=1    0:00s    1:00    D
  {
    2000 /*fromYear*/,
    2003 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2004    only    -    Mar    lastSun    0:00s    1:00    D
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2006    2010    -    Oct    lastSun    0:00s    0    S
  {
    2006 /*fromYear*/,
    2010 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2007    only    -    Mar    Sun>=8    0:00s    1:00    D
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2008    only    -    Mar    Sun>=15    0:00s    1:00    D
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2009    2010    -    Mar    Sun>=8    0:00s    1:00    D
  {
    2009 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2011    only    -    Mar    Sun>=15    0:00s    1:00    D
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2011    only    -    Nov    13    0:00s    0    S
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2012    only    -    Apr    1    0:00s    1:00    D
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2012    max    -    Nov    Sun>=1    0:00s    0    S
  {
    2012 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2013    max    -    Mar    Sun>=8    0:00s    1:00    D
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyCuba ACE_TIME_PROGMEM = {
  kZoneRulesCuba /*rules*/,
  nullptr /*letters*/,
  14 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Dhaka
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesDhaka[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    Dhaka    2009    only    -    Dec    31    24:00    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Dhaka    2009    only    -    Jun    19    23:00    1:00    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    92 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Dhaka    2009    only    -    Dec    31    24:00    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyDhaka ACE_TIME_PROGMEM = {
  kZoneRulesDhaka /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: EU
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEU[] ACE_TIME_PROGMEM = {
  // Rule    EU    1979    1995    -    Sep    lastSun     1:00u    0    -
  {
    1979 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    EU    1981    max    -    Mar    lastSun     1:00u    1:00    S
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    EU    1996    max    -    Oct    lastSun     1:00u    0    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyEU ACE_TIME_PROGMEM = {
  kZoneRulesEU /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: EUAsia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEUAsia[] ACE_TIME_PROGMEM = {
  // Rule    EUAsia    1981    max    -    Mar    lastSun     1:00u    1:00    S
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    EUAsia    1979    1995    -    Sep    lastSun     1:00u    0    -
  {
    1979 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    EUAsia    1996    max    -    Oct    lastSun     1:00u    0    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyEUAsia ACE_TIME_PROGMEM = {
  kZoneRulesEUAsia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Ecuador
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEcuador[] ACE_TIME_PROGMEM = {
  // Rule    Ecuador    1993    only    -    Feb     5    0:00    0    -
  {
    1993 /*fromYear*/,
    1993 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyEcuador ACE_TIME_PROGMEM = {
  kZoneRulesEcuador /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Eire
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesEire[] ACE_TIME_PROGMEM = {
  // Rule    Eire    1981    max    -    Mar    lastSun     1:00u    0    -
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Eire    1990    1995    -    Oct    Sun>=22     1:00u    -1:00    -
  {
    1990 /*fromYear*/,
    1995 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    -4 /*deltaCode ((deltaMinutes=-60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Eire    1996    max    -    Oct    lastSun     1:00u    -1:00    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    -4 /*deltaCode ((deltaMinutes=-60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyEire ACE_TIME_PROGMEM = {
  kZoneRulesEire /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Fiji
// Rules: 12
// Memory (8-bit): 138
// Memory (32-bit): 156
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesFiji[] ACE_TIME_PROGMEM = {
  // Rule    Fiji    1998    1999    -    Nov    Sun>=1    2:00    1:00    -
  {
    1998 /*fromYear*/,
    1999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    1999    2000    -    Feb    lastSun    3:00    0    -
  {
    1999 /*fromYear*/,
    2000 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2009    only    -    Nov    29    2:00    1:00    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2010    only    -    Mar    lastSun    3:00    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2010    2013    -    Oct    Sun>=21    2:00    1:00    -
  {
    2010 /*fromYear*/,
    2013 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2011    only    -    Mar    Sun>=1    3:00    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2012    2013    -    Jan    Sun>=18    3:00    0    -
  {
    2012 /*fromYear*/,
    2013 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2014    only    -    Jan    Sun>=18    2:00    0    -
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2014    2018    -    Nov    Sun>=1    2:00    1:00    -
  {
    2014 /*fromYear*/,
    2018 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2015    2021    -    Jan    Sun>=12    3:00    0    -
  {
    2015 /*fromYear*/,
    2021 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2019    only    -    Nov    Sun>=8    2:00    1:00    -
  {
    2019 /*fromYear*/,
    2019 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2020    only    -    Dec    20    2:00    1:00    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyFiji ACE_TIME_PROGMEM = {
  kZoneRulesFiji /*rules*/,
  nullptr /*letters*/,
  12 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Guat
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesGuat[] ACE_TIME_PROGMEM = {
  // Rule    Guat    1991    only    -    Sep     7    0:00    0    S
  {
    1991 /*fromYear*/,
    1991 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Guat    2006    only    -    Apr    30    0:00    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Guat    2006    only    -    Oct     1    0:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyGuat ACE_TIME_PROGMEM = {
  kZoneRulesGuat /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: HK
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHK[] ACE_TIME_PROGMEM = {
  // Rule    HK    1979    only    -    Oct    21    3:30    0    -
  {
    1979 /*fromYear*/,
    1979 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    14 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyHK ACE_TIME_PROGMEM = {
  kZoneRulesHK /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Haiti
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHaiti[] ACE_TIME_PROGMEM = {
  // Rule    Haiti    1988    1997    -    Oct    lastSun    1:00s    0    S
  {
    1988 /*fromYear*/,
    1997 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2005    2006    -    Apr    Sun>=1    0:00    1:00    D
  {
    2005 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2005    2006    -    Oct    lastSun    0:00    0    S
  {
    2005 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2012    2015    -    Mar    Sun>=8    2:00    1:00    D
  {
    2012 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2012    2015    -    Nov    Sun>=1    2:00    0    S
  {
    2012 /*fromYear*/,
    2015 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2017    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2017 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2017    max    -    Nov    Sun>=1    2:00    0    S
  {
    2017 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyHaiti ACE_TIME_PROGMEM = {
  kZoneRulesHaiti /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Holiday
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHoliday[] ACE_TIME_PROGMEM = {
  // Rule    Holiday    1993    1994    -    Mar    Sun>=1    2:00s    0    S
  {
    1993 /*fromYear*/,
    1994 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyHoliday ACE_TIME_PROGMEM = {
  kZoneRulesHoliday /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Hond
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesHond[] ACE_TIME_PROGMEM = {
  // Rule    Hond    1987    1988    -    Sep    lastSun    0:00    0    S
  {
    1987 /*fromYear*/,
    1988 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Hond    2006    only    -    May    Sun>=1    0:00    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Hond    2006    only    -    Aug    Mon>=1    0:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    8 /*inMonth*/,
    1 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyHond ACE_TIME_PROGMEM = {
  kZoneRulesHond /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Iran
// Rules: 27
// Memory (8-bit): 303
// Memory (32-bit): 336
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesIran[] ACE_TIME_PROGMEM = {
  // Rule    Iran    1996    only    -    Sep    20    24:00    0    -
  {
    1996 /*fromYear*/,
    1996 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    1997    1999    -    Mar    21    24:00    1:00    -
  {
    1997 /*fromYear*/,
    1999 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    1997    1999    -    Sep    21    24:00    0    -
  {
    1997 /*fromYear*/,
    1999 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2000    only    -    Mar    20    24:00    1:00    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2000    only    -    Sep    20    24:00    0    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2001    2003    -    Mar    21    24:00    1:00    -
  {
    2001 /*fromYear*/,
    2003 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2001    2003    -    Sep    21    24:00    0    -
  {
    2001 /*fromYear*/,
    2003 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2004    only    -    Mar    20    24:00    1:00    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2004    only    -    Sep    20    24:00    0    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2005    only    -    Mar    21    24:00    1:00    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2005    only    -    Sep    21    24:00    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2008    only    -    Mar    20    24:00    1:00    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2008    only    -    Sep    20    24:00    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2009    2011    -    Mar    21    24:00    1:00    -
  {
    2009 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2009    2011    -    Sep    21    24:00    0    -
  {
    2009 /*fromYear*/,
    2011 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2012    only    -    Mar    20    24:00    1:00    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2012    only    -    Sep    20    24:00    0    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2013    2015    -    Mar    21    24:00    1:00    -
  {
    2013 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2013    2015    -    Sep    21    24:00    0    -
  {
    2013 /*fromYear*/,
    2015 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2016    only    -    Mar    20    24:00    1:00    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2016    only    -    Sep    20    24:00    0    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2017    2019    -    Mar    21    24:00    1:00    -
  {
    2017 /*fromYear*/,
    2019 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2017    2019    -    Sep    21    24:00    0    -
  {
    2017 /*fromYear*/,
    2019 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2020    only    -    Mar    20    24:00    1:00    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2020    only    -    Sep    20    24:00    0    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2021    2022    -    Mar    21    24:00    1:00    -
  {
    2021 /*fromYear*/,
    2022 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2021    2022    -    Sep    21    24:00    0    -
  {
    2021 /*fromYear*/,
    2022 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyIran ACE_TIME_PROGMEM = {
  kZoneRulesIran /*rules*/,
  nullptr /*letters*/,
  27 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Iraq
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesIraq[] ACE_TIME_PROGMEM = {
  // Rule    Iraq    1985    1990    -    Sep    lastSun    1:00s    0    -
  {
    1985 /*fromYear*/,
    1990 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iraq    1991    2007    -    Apr     1    3:00s    1:00    -
  {
    1991 /*fromYear*/,
    2007 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Iraq    1991    2007    -    Oct     1    3:00s    0    -
  {
    1991 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyIraq ACE_TIME_PROGMEM = {
  kZoneRulesIraq /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Japan
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesJapan[] ACE_TIME_PROGMEM = {
  // Rule    Japan    1948    1951    -    Sep    Sat>=8    25:00    0    S
  {
    1948 /*fromYear*/,
    1951 /*toYear*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    100 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyJapan ACE_TIME_PROGMEM = {
  kZoneRulesJapan /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Jordan
// Rules: 4
// Memory (8-bit): 50
// Memory (32-bit): 60
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesJordan[] ACE_TIME_PROGMEM = {
  // Rule    Jordan    1995    1998    -    Sep    Fri>=15    0:00s    0    -
  {
    1995 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    1999    only    -    Jul     1    0:00s    1:00    S
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    1999    2002    -    Sep    lastFri    0:00s    0    -
  {
    1999 /*fromYear*/,
    2002 /*toYear*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2000    2001    -    Mar    lastThu    0:00s    1:00    S
  {
    2000 /*fromYear*/,
    2001 /*toYear*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyJordan ACE_TIME_PROGMEM = {
  kZoneRulesJordan /*rules*/,
  nullptr /*letters*/,
  4 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: LH
// Rules: 9
// Memory (8-bit): 105
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesLH[] ACE_TIME_PROGMEM = {
  // Rule    LH    1987    1999    -    Oct    lastSun    2:00    0:30    -
  {
    1987 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    1990    1995    -    Mar    Sun>=1    2:00    0    -
  {
    1990 /*fromYear*/,
    1995 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    1996    2005    -    Mar    lastSun    2:00    0    -
  {
    1996 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2000    only    -    Aug    lastSun    2:00    0:30    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2001    2007    -    Oct    lastSun    2:00    0:30    -
  {
    2001 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2006    only    -    Apr    Sun>=1    2:00    0    -
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2007    only    -    Mar    lastSun    2:00    0    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2008    max    -    Apr    Sun>=1    2:00    0    -
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2008    max    -    Oct    Sun>=1    2:00    0:30    -
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    2 /*deltaCode ((deltaMinutes=30)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyLH ACE_TIME_PROGMEM = {
  kZoneRulesLH /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Lebanon
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesLebanon[] ACE_TIME_PROGMEM = {
  // Rule    Lebanon    1993    max    -    Mar    lastSun    0:00    1:00    S
  {
    1993 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Lebanon    1993    1998    -    Sep    lastSun    0:00    0    -
  {
    1993 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Lebanon    1999    max    -    Oct    lastSun    0:00    0    -
  {
    1999 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyLebanon ACE_TIME_PROGMEM = {
  kZoneRulesLebanon /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Macau
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMacau[] ACE_TIME_PROGMEM = {
  // Rule    Macau    1979    only    -    Oct    Sun>=16    03:30    0    S
  {
    1979 /*fromYear*/,
    1979 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    14 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyMacau ACE_TIME_PROGMEM = {
  kZoneRulesMacau /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mauritius
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMauritius[] ACE_TIME_PROGMEM = {
  // Rule Mauritius    1983    only    -    Mar    21    0:00    0    -
  {
    1983 /*fromYear*/,
    1983 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Mauritius    2008    only    -    Oct    lastSun    2:00    1:00    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule Mauritius    2009    only    -    Mar    lastSun    2:00    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyMauritius ACE_TIME_PROGMEM = {
  kZoneRulesMauritius /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mexico
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMexico[] ACE_TIME_PROGMEM = {
  // Rule    Mexico    1950    only    -    Jul    30    0:00    0    S
  {
    1950 /*fromYear*/,
    1950 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    1996    2000    -    Apr    Sun>=1    2:00    1:00    D
  {
    1996 /*fromYear*/,
    2000 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    1996    2000    -    Oct    lastSun    2:00    0    S
  {
    1996 /*fromYear*/,
    2000 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    2001    only    -    May    Sun>=1    2:00    1:00    D
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    2001    only    -    Sep    lastSun    2:00    0    S
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    2002    2022    -    Apr    Sun>=1    2:00    1:00    D
  {
    2002 /*fromYear*/,
    2022 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    2002    2022    -    Oct    lastSun    2:00    0    S
  {
    2002 /*fromYear*/,
    2022 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyMexico ACE_TIME_PROGMEM = {
  kZoneRulesMexico /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Moldova
// Rules: 2
// Memory (8-bit): 28
// Memory (32-bit): 36
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMoldova[] ACE_TIME_PROGMEM = {
  // Rule    Moldova    1997    max    -    Mar    lastSun     2:00    1:00    S
  {
    1997 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Moldova    1997    max    -    Oct    lastSun     3:00    0    -
  {
    1997 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyMoldova ACE_TIME_PROGMEM = {
  kZoneRulesMoldova /*rules*/,
  nullptr /*letters*/,
  2 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Moncton
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMoncton[] ACE_TIME_PROGMEM = {
  // Rule    Moncton    1957    1972    -    Oct    lastSun    2:00    0    S
  {
    1957 /*fromYear*/,
    1972 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Moncton    1993    2006    -    Apr    Sun>=1    0:01    1:00    D
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Moncton    1993    2006    -    Oct    lastSun    0:01    0    S
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyMoncton ACE_TIME_PROGMEM = {
  kZoneRulesMoncton /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mongol
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesMongol[] ACE_TIME_PROGMEM = {
  // Rule    Mongol    1984    1998    -    Sep    lastSun    0:00    0    -
  {
    1984 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2001    only    -    Apr    lastSat    2:00    1:00    -
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    4 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2001    2006    -    Sep    lastSat    2:00    0    -
  {
    2001 /*fromYear*/,
    2006 /*toYear*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2002    2006    -    Mar    lastSat    2:00    1:00    -
  {
    2002 /*fromYear*/,
    2006 /*toYear*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2015    2016    -    Mar    lastSat    2:00    1:00    -
  {
    2015 /*fromYear*/,
    2016 /*toYear*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2015    2016    -    Sep    lastSat    0:00    0    -
  {
    2015 /*fromYear*/,
    2016 /*toYear*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyMongol ACE_TIME_PROGMEM = {
  kZoneRulesMongol /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: NC
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesNC[] ACE_TIME_PROGMEM = {
  // Rule    NC    1997    only    -    Mar     2    2:00s    0    -
  {
    1997 /*fromYear*/,
    1997 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyNC ACE_TIME_PROGMEM = {
  kZoneRulesNC /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: NZ
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesNZ[] ACE_TIME_PROGMEM = {
  // Rule    NZ    1989    only    -    Oct    Sun>=8    2:00s    1:00    D
  {
    1989 /*fromYear*/,
    1989 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    1990    2006    -    Oct    Sun>=1    2:00s    1:00    D
  {
    1990 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    1990    2007    -    Mar    Sun>=15    2:00s    0    S
  {
    1990 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    NZ    2007    max    -    Sep    lastSun    2:00s    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyNZ ACE_TIME_PROGMEM = {
  kZoneRulesNZ /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Nic
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesNic[] ACE_TIME_PROGMEM = {
  // Rule    Nic    1979    1980    -    Jun    Mon>=23    0:00    0    S
  {
    1979 /*fromYear*/,
    1980 /*toYear*/,
    6 /*inMonth*/,
    1 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Nic    2005    only    -    Apr    10    0:00    1:00    D
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Nic    2005    only    -    Oct    Sun>=1    0:00    0    S
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Nic    2006    only    -    Apr    30    2:00    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Nic    2006    only    -    Oct    Sun>=1    1:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyNic ACE_TIME_PROGMEM = {
  kZoneRulesNic /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: PRC
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPRC[] ACE_TIME_PROGMEM = {
  // Rule    PRC    1986    1991    -    Sep    Sun>=11     2:00    0    S
  {
    1986 /*fromYear*/,
    1991 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyPRC ACE_TIME_PROGMEM = {
  kZoneRulesPRC /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Pakistan
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPakistan[] ACE_TIME_PROGMEM = {
  // Anchor: Rule Pakistan    2002    only    -    Oct    Sun>=2    0:00    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2002    only    -    Apr    Sun>=2    0:00    1:00    S
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule Pakistan    2002    only    -    Oct    Sun>=2    0:00    0    -
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2008    only    -    Jun    1    0:00    1:00    S
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule Pakistan    2008    2009    -    Nov    1    0:00    0    -
  {
    2008 /*fromYear*/,
    2009 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2009    only    -    Apr    15    0:00    1:00    S
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyPakistan ACE_TIME_PROGMEM = {
  kZoneRulesPakistan /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Para
// Rules: 10
// Memory (8-bit): 116
// Memory (32-bit): 132
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPara[] ACE_TIME_PROGMEM = {
  // Rule    Para    1996    2001    -    Oct    Sun>=1    0:00    1:00    -
  {
    1996 /*fromYear*/,
    2001 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    1997    only    -    Feb    lastSun    0:00    0    -
  {
    1997 /*fromYear*/,
    1997 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    1998    2001    -    Mar    Sun>=1    0:00    0    -
  {
    1998 /*fromYear*/,
    2001 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2002    2004    -    Apr    Sun>=1    0:00    0    -
  {
    2002 /*fromYear*/,
    2004 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2002    2003    -    Sep    Sun>=1    0:00    1:00    -
  {
    2002 /*fromYear*/,
    2003 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2004    2009    -    Oct    Sun>=15    0:00    1:00    -
  {
    2004 /*fromYear*/,
    2009 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2005    2009    -    Mar    Sun>=8    0:00    0    -
  {
    2005 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2010    max    -    Oct    Sun>=1    0:00    1:00    -
  {
    2010 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2010    2012    -    Apr    Sun>=8    0:00    0    -
  {
    2010 /*fromYear*/,
    2012 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2013    max    -    Mar    Sun>=22    0:00    0    -
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyPara ACE_TIME_PROGMEM = {
  kZoneRulesPara /*rules*/,
  nullptr /*letters*/,
  10 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Peru
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPeru[] ACE_TIME_PROGMEM = {
  // Rule    Peru    1994    only    -    Apr     1    0:00    0    -
  {
    1994 /*fromYear*/,
    1994 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyPeru ACE_TIME_PROGMEM = {
  kZoneRulesPeru /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Phil
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesPhil[] ACE_TIME_PROGMEM = {
  // Rule    Phil    1978    only    -    Sep    21    0:00    0    S
  {
    1978 /*fromYear*/,
    1978 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyPhil ACE_TIME_PROGMEM = {
  kZoneRulesPhil /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: ROK
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesROK[] ACE_TIME_PROGMEM = {
  // Rule    ROK    1987    1988    -    Oct    Sun>=8     3:00    0    S
  {
    1987 /*fromYear*/,
    1988 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyROK ACE_TIME_PROGMEM = {
  kZoneRulesROK /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: RussiaAsia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesRussiaAsia[] ACE_TIME_PROGMEM = {
  // Rule RussiaAsia    1984    1995    -    Sep    lastSun     2:00s    0    -
  {
    1984 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule RussiaAsia    1985    2010    -    Mar    lastSun     2:00s    1:00    -
  {
    1985 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule RussiaAsia    1996    2010    -    Oct    lastSun     2:00s    0    -
  {
    1996 /*fromYear*/,
    2010 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyRussiaAsia ACE_TIME_PROGMEM = {
  kZoneRulesRussiaAsia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: SA
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesSA[] ACE_TIME_PROGMEM = {
  // Rule    SA    1943    1944    -    Mar    Sun>=15    2:00    0    -
  {
    1943 /*fromYear*/,
    1944 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicySA ACE_TIME_PROGMEM = {
  kZoneRulesSA /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Salv
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesSalv[] ACE_TIME_PROGMEM = {
  // Rule    Salv    1987    1988    -    Sep    lastSun    0:00    0    S
  {
    1987 /*fromYear*/,
    1988 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicySalv ACE_TIME_PROGMEM = {
  kZoneRulesSalv /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Taiwan
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesTaiwan[] ACE_TIME_PROGMEM = {
  // Rule    Taiwan    1979    only    -    Oct    1    0:00    0    S
  {
    1979 /*fromYear*/,
    1979 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyTaiwan ACE_TIME_PROGMEM = {
  kZoneRulesTaiwan /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Thule
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesThule[] ACE_TIME_PROGMEM = {
  // Rule    Thule    1991    1992    -    Sep    lastSun    2:00    0    S
  {
    1991 /*fromYear*/,
    1992 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Thule    1993    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Thule    1993    2006    -    Oct    lastSun    2:00    0    S
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Thule    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Thule    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyThule ACE_TIME_PROGMEM = {
  kZoneRulesThule /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Tonga
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesTonga[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    Tonga    2000    only    -    Mar    19    2:00s    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    1999    only    -    Oct     7    2:00s    1:00    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2000    only    -    Mar    19    2:00s    0    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2000    2001    -    Nov    Sun>=1    2:00    1:00    -
  {
    2000 /*fromYear*/,
    2001 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2001    2002    -    Jan    lastSun    2:00    0    -
  {
    2001 /*fromYear*/,
    2002 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2016    only    -    Nov    Sun>=1    2:00    1:00    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2017    only    -    Jan    Sun>=15    3:00    0    -
  {
    2017 /*fromYear*/,
    2017 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyTonga ACE_TIME_PROGMEM = {
  kZoneRulesTonga /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Tunisia
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesTunisia[] ACE_TIME_PROGMEM = {
  // Rule    Tunisia    1988    1990    -    Sep    lastSun     0:00s    0    -
  {
    1988 /*fromYear*/,
    1990 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tunisia    2005    only    -    May     1     0:00s    1:00    S
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Tunisia    2005    only    -    Sep    30     1:00s    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Tunisia    2006    2008    -    Mar    lastSun     2:00s    1:00    S
  {
    2006 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Tunisia    2006    2008    -    Oct    lastSun     2:00s    0    -
  {
    2006 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyTunisia ACE_TIME_PROGMEM = {
  kZoneRulesTunisia /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: US
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesUS[] ACE_TIME_PROGMEM = {
  // Rule    US    1967    2006    -    Oct    lastSun    2:00    0    S
  {
    1967 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    US    1976    1986    -    Apr    lastSun    2:00    1:00    D
  {
    1976 /*fromYear*/,
    1986 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    US    1987    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    1987 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    US    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    US    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyUS ACE_TIME_PROGMEM = {
  kZoneRulesUS /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Uruguay
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesUruguay[] ACE_TIME_PROGMEM = {
  // Rule    Uruguay    1993    only    -    Feb    28     0:00    0    -
  {
    1993 /*fromYear*/,
    1993 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2004    only    -    Sep    19     0:00    1:00    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2005    only    -    Mar    27     2:00    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2005    only    -    Oct     9     2:00    1:00    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2006    2015    -    Mar    Sun>=8     2:00    0    -
  {
    2006 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2006    2014    -    Oct    Sun>=1     2:00    1:00    -
  {
    2006 /*fromYear*/,
    2014 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyUruguay ACE_TIME_PROGMEM = {
  kZoneRulesUruguay /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Vanuatu
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesVanuatu[] ACE_TIME_PROGMEM = {
  // Rule    Vanuatu    1992    1993    -    Jan    Sat>=22    24:00    0    -
  {
    1992 /*fromYear*/,
    1993 /*toYear*/,
    1 /*inMonth*/,
    6 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    '-' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyVanuatu ACE_TIME_PROGMEM = {
  kZoneRulesVanuatu /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Winn
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesWinn[] ACE_TIME_PROGMEM = {
  // Rule    Winn    1966    1986    -    Apr    lastSun    2:00s    1:00    D
  {
    1966 /*fromYear*/,
    1986 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Winn    1966    2005    -    Oct    lastSun    2:00s    0    S
  {
    1966 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Winn    1987    2005    -    Apr    Sun>=1    2:00s    1:00    D
  {
    1987 /*fromYear*/,
    2005 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyWinn ACE_TIME_PROGMEM = {
  kZoneRulesWinn /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Zion
// Rules: 24
// Memory (8-bit): 270
// Memory (32-bit): 300
//---------------------------------------------------------------------------

static const basic::ZoneRule kZoneRulesZion[] ACE_TIME_PROGMEM = {
  // Rule    Zion    1998    only    -    Sep     6    0:00    0    S
  {
    1998 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    1999    only    -    Apr     2    2:00    1:00    D
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    1999    only    -    Sep     3    2:00    0    S
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2000    only    -    Apr    14    2:00    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2000    only    -    Oct     6    1:00    0    S
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2001    only    -    Apr     9    1:00    1:00    D
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2001    only    -    Sep    24    1:00    0    S
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2002    only    -    Mar    29    1:00    1:00    D
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2002    only    -    Oct     7    1:00    0    S
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2003    only    -    Mar    28    1:00    1:00    D
  {
    2003 /*fromYear*/,
    2003 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2003    only    -    Oct     3    1:00    0    S
  {
    2003 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2004    only    -    Apr     7    1:00    1:00    D
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2004    only    -    Sep    22    1:00    0    S
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2005    2012    -    Apr    Fri<=1    2:00    1:00    D
  {
    2005 /*fromYear*/,
    2012 /*toYear*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    -1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2005    only    -    Oct     9    2:00    0    S
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2006    only    -    Oct     1    2:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2007    only    -    Sep    16    2:00    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2008    only    -    Oct     5    2:00    0    S
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2009    only    -    Sep    27    2:00    0    S
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2010    only    -    Sep    12    2:00    0    S
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2011    only    -    Oct     2    2:00    0    S
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2012    only    -    Sep    23    2:00    0    S
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2013    max    -    Mar    Fri>=23    2:00    1:00    D
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=60)/15)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2013    max    -    Oct    lastSun    2:00    0    S
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=0)/15)*/,
    'S' /*letter*/,
  },

};



const basic::ZonePolicy kZonePolicyZion ACE_TIME_PROGMEM = {
  kZoneRulesZion /*rules*/,
  nullptr /*letters*/,
  24 /*numRules*/,
  0 /*numLetters*/,
};



}
}
