// This file was generated by the following script:
//
//   $ /home/brian/src/AceTimeTools/src/acetimetools/tzcompiler.py
//     --input_dir /home/brian/src/AceTime/src/ace_time/zonedbx/tzfiles
//     --output_dir /home/brian/src/AceTime/src/ace_time/zonedbx
//     --tz_version 2022g
//     --action zonedb
//     --language arduino
//     --scope extended
//     --generate_int16_years
//     --start_year 2000
//     --until_year 10000
//
// using the TZ Database files
//
//   africa
//   antarctica
//   asia
//   australasia
//   backward
//   etcetera
//   europe
//   northamerica
//   southamerica
//
// from https://github.com/eggert/tz/releases/tag/2022g
//
// Policies: 83
// Rules: 603
// Letter Size (bytes): 23
// Total Memory 8-bit (bytes): 7166
// Total Memory 32-bit (bytes): 8279
//
// DO NOT EDIT

#include <ace_time/common/compat.h>
#include "zone_policies.h"

namespace ace_time {
namespace zonedbx {

//---------------------------------------------------------------------------
// Policy name: AN
// Rules: 9
// Memory (8-bit): 105
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAN[] ACE_TIME_PROGMEM = {
  // Rule    AN    1987    1999    -    Oct    lastSun    2:00s    1:00    D
  {
    1987 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AN    1990    1995    -    Mar    Sun>=1    2:00s    0    S
  {
    1990 /*fromYear*/,
    1995 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AN    1996    2005    -    Mar    lastSun    2:00s    0    S
  {
    1996 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AN    2001    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    2001 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AN    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AN    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAN ACE_TIME_PROGMEM = {
  kZoneRulesAN /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AQ
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAQ[] ACE_TIME_PROGMEM = {
  // Rule    AQ    1990    1992    -    Mar    Sun>=1    2:00s    0    S
  {
    1990 /*fromYear*/,
    1992 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAQ ACE_TIME_PROGMEM = {
  kZoneRulesAQ /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AS
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAS[] ACE_TIME_PROGMEM = {
  // Rule    AS    1987    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    1987 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AS    1994    only    -    Mar    20    2:00s    0    S
  {
    1994 /*fromYear*/,
    1994 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AS    1995    2005    -    Mar    lastSun    2:00s    0    S
  {
    1995 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2006    only    -    Apr    2    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AS    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAS ACE_TIME_PROGMEM = {
  kZoneRulesAS /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AT
// Rules: 8
// Memory (8-bit): 94
// Memory (32-bit): 108
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAT[] ACE_TIME_PROGMEM = {
  // Rule    AT    1988    1990    -    Oct    lastSun    2:00s    1:00    D
  {
    1988 /*fromYear*/,
    1990 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AT    1991    1999    -    Oct    Sun>=1    2:00s    1:00    D
  {
    1991 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AT    1991    2005    -    Mar    lastSun    2:00s    0    S
  {
    1991 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AT    2001    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2001 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AT    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AT    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAT ACE_TIME_PROGMEM = {
  kZoneRulesAT /*rules*/,
  nullptr /*letters*/,
  8 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AV
// Rules: 9
// Memory (8-bit): 105
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAV[] ACE_TIME_PROGMEM = {
  // Rule    AV    1988    1999    -    Oct    lastSun    2:00s    1:00    D
  {
    1988 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AV    1991    1994    -    Mar    Sun>=1    2:00s    0    S
  {
    1991 /*fromYear*/,
    1994 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AV    1995    2005    -    Mar    lastSun    2:00s    0    S
  {
    1995 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2000    only    -    Aug    lastSun    2:00s    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AV    2001    2007    -    Oct    lastSun    2:00s    1:00    D
  {
    2001 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AV    2006    only    -    Apr    Sun>=1    2:00s    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2007    only    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AV    2008    max    -    Oct    Sun>=1    2:00s    1:00    D
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAV ACE_TIME_PROGMEM = {
  kZoneRulesAV /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: AW
// Rules: 4
// Memory (8-bit): 50
// Memory (32-bit): 60
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAW[] ACE_TIME_PROGMEM = {
  // Rule    AW    1992    only    -    Mar    Sun>=1    2:00s    0    S
  {
    1992 /*fromYear*/,
    1992 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AW    2006    only    -    Dec     3    2:00s    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    AW    2007    2009    -    Mar    lastSun    2:00s    0    S
  {
    2007 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    AW    2007    2008    -    Oct    lastSun    2:00s    1:00    D
  {
    2007 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAW ACE_TIME_PROGMEM = {
  kZoneRulesAW /*rules*/,
  nullptr /*letters*/,
  4 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Arg
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesArg[] ACE_TIME_PROGMEM = {
  // Rule    Arg    1989    1993    -    Mar    Sun>=1    0:00    0    -
  {
    1989 /*fromYear*/,
    1993 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Arg    1999    only    -    Oct    Sun>=1    0:00    1:00    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Arg    2000    only    -    Mar    3    0:00    0    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Arg    2007    only    -    Dec    30    0:00    1:00    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Arg    2008    2009    -    Mar    Sun>=15    0:00    0    -
  {
    2008 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Arg    2008    only    -    Oct    Sun>=15    0:00    1:00    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyArg ACE_TIME_PROGMEM = {
  kZoneRulesArg /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Armenia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesArmenia[] ACE_TIME_PROGMEM = {
  // Anchor: Rule Armenia    2011    only    -    Oct    lastSun     2:00s    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Armenia    2011    only    -    Mar    lastSun     2:00s    1:00    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Armenia    2011    only    -    Oct    lastSun     2:00s    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyArmenia ACE_TIME_PROGMEM = {
  kZoneRulesArmenia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Aus
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAus[] ACE_TIME_PROGMEM = {
  // Rule    Aus    1943    1944    -    Mar    lastSun    2:00s    0    S
  {
    1943 /*fromYear*/,
    1944 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAus ACE_TIME_PROGMEM = {
  kZoneRulesAus /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Azer
// Rules: 2
// Memory (8-bit): 28
// Memory (32-bit): 36
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesAzer[] ACE_TIME_PROGMEM = {
  // Rule    Azer    1997    2015    -    Mar    lastSun     4:00    1:00    -
  {
    1997 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Azer    1997    2015    -    Oct    lastSun     5:00    0    -
  {
    1997 /*fromYear*/,
    2015 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    20 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyAzer ACE_TIME_PROGMEM = {
  kZoneRulesAzer /*rules*/,
  nullptr /*letters*/,
  2 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Barb
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesBarb[] ACE_TIME_PROGMEM = {
  // Rule    Barb    1980    only    -    Sep    25    2:00    0    S
  {
    1980 /*fromYear*/,
    1980 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyBarb ACE_TIME_PROGMEM = {
  kZoneRulesBarb /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Belize
// Rules: 1
// Memory (8-bit): 23
// Memory (32-bit): 32
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesBelize[] ACE_TIME_PROGMEM = {
  // Rule    Belize    1983    only    -    Feb    12    0:00    0    CST
  {
    1983 /*fromYear*/,
    1983 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    0 /*letter (index to "CST")*/,
  },

};

static const char* const kLettersBelize[] ACE_TIME_PROGMEM = {
  /*0*/ "CST",

};


const extended::ZonePolicy kZonePolicyBelize ACE_TIME_PROGMEM = {
  kZoneRulesBelize /*rules*/,
  kLettersBelize /*letters*/,
  1 /*numRules*/,
  1 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Brazil
// Rules: 20
// Memory (8-bit): 226
// Memory (32-bit): 252
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesBrazil[] ACE_TIME_PROGMEM = {
  // Rule    Brazil    1998    only    -    Oct    11     0:00    1:00    -
  {
    1998 /*fromYear*/,
    1998 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    1999    only    -    Feb    21     0:00    0    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    1999    only    -    Oct     3     0:00    1:00    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2000    only    -    Feb    27     0:00    0    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2000    2001    -    Oct    Sun>=8     0:00    1:00    -
  {
    2000 /*fromYear*/,
    2001 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2001    2006    -    Feb    Sun>=15     0:00    0    -
  {
    2001 /*fromYear*/,
    2006 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2002    only    -    Nov     3     0:00    1:00    -
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2003    only    -    Oct    19     0:00    1:00    -
  {
    2003 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2004    only    -    Nov     2     0:00    1:00    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2005    only    -    Oct    16     0:00    1:00    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2006    only    -    Nov     5     0:00    1:00    -
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2007    only    -    Feb    25     0:00    0    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2007    only    -    Oct    Sun>=8     0:00    1:00    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2008    2017    -    Oct    Sun>=15    0:00    1:00    -
  {
    2008 /*fromYear*/,
    2017 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2008    2011    -    Feb    Sun>=15    0:00    0    -
  {
    2008 /*fromYear*/,
    2011 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2012    only    -    Feb    Sun>=22    0:00    0    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2013    2014    -    Feb    Sun>=15    0:00    0    -
  {
    2013 /*fromYear*/,
    2014 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2015    only    -    Feb    Sun>=22    0:00    0    -
  {
    2015 /*fromYear*/,
    2015 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2016    2019    -    Feb    Sun>=15    0:00    0    -
  {
    2016 /*fromYear*/,
    2019 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Brazil    2018    only    -    Nov    Sun>=1    0:00    1:00    -
  {
    2018 /*fromYear*/,
    2018 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyBrazil ACE_TIME_PROGMEM = {
  kZoneRulesBrazil /*rules*/,
  nullptr /*letters*/,
  20 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: C_Eur
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesC_Eur[] ACE_TIME_PROGMEM = {
  // Rule    C-Eur    1979    1995    -    Sep    lastSun     2:00s    0    -
  {
    1979 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    C-Eur    1981    max    -    Mar    lastSun     2:00s    1:00    S
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    C-Eur    1996    max    -    Oct    lastSun     2:00s    0    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyC_Eur ACE_TIME_PROGMEM = {
  kZoneRulesC_Eur /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: CO
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesCO[] ACE_TIME_PROGMEM = {
  // Rule    CO    1993    only    -    Feb     6    24:00    0    -
  {
    1993 /*fromYear*/,
    1993 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyCO ACE_TIME_PROGMEM = {
  kZoneRulesCO /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: CR
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesCR[] ACE_TIME_PROGMEM = {
  // Rule    CR    1992    only    -    Mar    15    0:00    0    S
  {
    1992 /*fromYear*/,
    1992 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyCR ACE_TIME_PROGMEM = {
  kZoneRulesCR /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Canada
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesCanada[] ACE_TIME_PROGMEM = {
  // Rule    Canada    1974    1986    -    Apr    lastSun    2:00    1:00    D
  {
    1974 /*fromYear*/,
    1986 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    1974    2006    -    Oct    lastSun    2:00    0    S
  {
    1974 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Canada    1987    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    1987 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Canada    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyCanada ACE_TIME_PROGMEM = {
  kZoneRulesCanada /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Chatham
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesChatham[] ACE_TIME_PROGMEM = {
  // Rule    Chatham    1989    only    -    Oct    Sun>=8    2:45s    1:00    -
  {
    1989 /*fromYear*/,
    1989 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    1990    2006    -    Oct    Sun>=1    2:45s    1:00    -
  {
    1990 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    1990    2007    -    Mar    Sun>=15    2:45s    0    -
  {
    1990 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    2007    max    -    Sep    lastSun    2:45s    1:00    -
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chatham    2008    max    -    Apr    Sun>=1    2:45s    0    -
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    11 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyChatham ACE_TIME_PROGMEM = {
  kZoneRulesChatham /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Chile
// Rules: 17
// Memory (8-bit): 193
// Memory (32-bit): 216
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesChile[] ACE_TIME_PROGMEM = {
  // Rule    Chile    1998    only    -    Sep    27    4:00u    1:00    -
  {
    1998 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    1999    only    -    Apr     4    3:00u    0    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    1999    2010    -    Oct    Sun>=9    4:00u    1:00    -
  {
    1999 /*fromYear*/,
    2010 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2000    2007    -    Mar    Sun>=9    3:00u    0    -
  {
    2000 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2008    only    -    Mar    30    3:00u    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2009    only    -    Mar    Sun>=9    3:00u    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2010    only    -    Apr    Sun>=1    3:00u    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2011    only    -    May    Sun>=2    3:00u    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2011    only    -    Aug    Sun>=16    4:00u    1:00    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2012    2014    -    Apr    Sun>=23    3:00u    0    -
  {
    2012 /*fromYear*/,
    2014 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2012    2014    -    Sep    Sun>=2    4:00u    1:00    -
  {
    2012 /*fromYear*/,
    2014 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2016    2018    -    May    Sun>=9    3:00u    0    -
  {
    2016 /*fromYear*/,
    2018 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2016    2018    -    Aug    Sun>=9    4:00u    1:00    -
  {
    2016 /*fromYear*/,
    2018 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2019    max    -    Apr    Sun>=2    3:00u    0    -
  {
    2019 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2019    2021    -    Sep    Sun>=2    4:00u    1:00    -
  {
    2019 /*fromYear*/,
    2021 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2022    only    -    Sep    Sun>=9    4:00u    1:00    -
  {
    2022 /*fromYear*/,
    2022 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Chile    2023    max    -    Sep    Sun>=2    4:00u    1:00    -
  {
    2023 /*fromYear*/,
    9999 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyChile ACE_TIME_PROGMEM = {
  kZoneRulesChile /*rules*/,
  nullptr /*letters*/,
  17 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Cook
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesCook[] ACE_TIME_PROGMEM = {
  // Rule    Cook    1979    1991    -    Mar    Sun>=1    0:00    0    -
  {
    1979 /*fromYear*/,
    1991 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyCook ACE_TIME_PROGMEM = {
  kZoneRulesCook /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Cuba
// Rules: 14
// Memory (8-bit): 160
// Memory (32-bit): 180
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesCuba[] ACE_TIME_PROGMEM = {
  // Rule    Cuba    1997    only    -    Oct    12    0:00s    0    S
  {
    1997 /*fromYear*/,
    1997 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    1998    1999    -    Mar    lastSun    0:00s    1:00    D
  {
    1998 /*fromYear*/,
    1999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    1998    2003    -    Oct    lastSun    0:00s    0    S
  {
    1998 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2000    2003    -    Apr    Sun>=1    0:00s    1:00    D
  {
    2000 /*fromYear*/,
    2003 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2004    only    -    Mar    lastSun    0:00s    1:00    D
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2006    2010    -    Oct    lastSun    0:00s    0    S
  {
    2006 /*fromYear*/,
    2010 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2007    only    -    Mar    Sun>=8    0:00s    1:00    D
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2008    only    -    Mar    Sun>=15    0:00s    1:00    D
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2009    2010    -    Mar    Sun>=8    0:00s    1:00    D
  {
    2009 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2011    only    -    Mar    Sun>=15    0:00s    1:00    D
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2011    only    -    Nov    13    0:00s    0    S
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2012    only    -    Apr    1    0:00s    1:00    D
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Cuba    2012    max    -    Nov    Sun>=1    0:00s    0    S
  {
    2012 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Cuba    2013    max    -    Mar    Sun>=8    0:00s    1:00    D
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyCuba ACE_TIME_PROGMEM = {
  kZoneRulesCuba /*rules*/,
  nullptr /*letters*/,
  14 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Dhaka
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesDhaka[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    Dhaka    2009    only    -    Dec    31    24:00    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Dhaka    2009    only    -    Jun    19    23:00    1:00    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    92 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Dhaka    2009    only    -    Dec    31    24:00    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyDhaka ACE_TIME_PROGMEM = {
  kZoneRulesDhaka /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: E_EurAsia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesE_EurAsia[] ACE_TIME_PROGMEM = {
  // Rule E-EurAsia    1981    max    -    Mar    lastSun     0:00    1:00    -
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule E-EurAsia    1979    1995    -    Sep    lastSun     0:00    0    -
  {
    1979 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule E-EurAsia    1996    max    -    Oct    lastSun     0:00    0    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyE_EurAsia ACE_TIME_PROGMEM = {
  kZoneRulesE_EurAsia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: EU
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesEU[] ACE_TIME_PROGMEM = {
  // Rule    EU    1979    1995    -    Sep    lastSun     1:00u    0    -
  {
    1979 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    EU    1981    max    -    Mar    lastSun     1:00u    1:00    S
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    EU    1996    max    -    Oct    lastSun     1:00u    0    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyEU ACE_TIME_PROGMEM = {
  kZoneRulesEU /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: EUAsia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesEUAsia[] ACE_TIME_PROGMEM = {
  // Rule    EUAsia    1981    max    -    Mar    lastSun     1:00u    1:00    S
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    EUAsia    1979    1995    -    Sep    lastSun     1:00u    0    -
  {
    1979 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    EUAsia    1996    max    -    Oct    lastSun     1:00u    0    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyEUAsia ACE_TIME_PROGMEM = {
  kZoneRulesEUAsia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Ecuador
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesEcuador[] ACE_TIME_PROGMEM = {
  // Rule    Ecuador    1993    only    -    Feb     5    0:00    0    -
  {
    1993 /*fromYear*/,
    1993 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyEcuador ACE_TIME_PROGMEM = {
  kZoneRulesEcuador /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Egypt
// Rules: 14
// Memory (8-bit): 160
// Memory (32-bit): 180
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesEgypt[] ACE_TIME_PROGMEM = {
  // Rule    Egypt    1966    1994    -    Oct     1    3:00    0    -
  {
    1966 /*fromYear*/,
    1994 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    1995    2010    -    Apr    lastFri     0:00s    1:00    S
  {
    1995 /*fromYear*/,
    2010 /*toYear*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Egypt    1995    2005    -    Sep    lastThu    24:00    0    -
  {
    1995 /*fromYear*/,
    2005 /*toYear*/,
    9 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2006    only    -    Sep    21    24:00    0    -
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2007    only    -    Sep    Thu>=1    24:00    0    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    9 /*inMonth*/,
    4 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2008    only    -    Aug    lastThu    24:00    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    8 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2009    only    -    Aug    20    24:00    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2010    only    -    Aug    10    24:00    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2010    only    -    Sep     9    24:00    1:00    S
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Egypt    2010    only    -    Sep    lastThu    24:00    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    9 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2014    only    -    May    15    24:00    1:00    S
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Egypt    2014    only    -    Jun    26    24:00    0    -
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    26 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Egypt    2014    only    -    Jul    31    24:00    1:00    S
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Egypt    2014    only    -    Sep    lastThu    24:00    0    -
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    9 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyEgypt ACE_TIME_PROGMEM = {
  kZoneRulesEgypt /*rules*/,
  nullptr /*letters*/,
  14 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Eire
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesEire[] ACE_TIME_PROGMEM = {
  // Rule    Eire    1981    max    -    Mar    lastSun     1:00u    0    -
  {
    1981 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Eire    1990    1995    -    Oct    Sun>=22     1:00u    -1:00    -
  {
    1990 /*fromYear*/,
    1995 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Eire    1996    max    -    Oct    lastSun     1:00u    -1:00    -
  {
    1996 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyEire ACE_TIME_PROGMEM = {
  kZoneRulesEire /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Falk
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesFalk[] ACE_TIME_PROGMEM = {
  // Rule    Falk    1984    1985    -    Apr    lastSun    0:00    0    -
  {
    1984 /*fromYear*/,
    1985 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Falk    1985    2000    -    Sep    Sun>=9    0:00    1:00    -
  {
    1985 /*fromYear*/,
    2000 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Falk    1986    2000    -    Apr    Sun>=16    0:00    0    -
  {
    1986 /*fromYear*/,
    2000 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Falk    2001    2010    -    Apr    Sun>=15    2:00    0    -
  {
    2001 /*fromYear*/,
    2010 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Falk    2001    2010    -    Sep    Sun>=1    2:00    1:00    -
  {
    2001 /*fromYear*/,
    2010 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyFalk ACE_TIME_PROGMEM = {
  kZoneRulesFalk /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Fiji
// Rules: 12
// Memory (8-bit): 138
// Memory (32-bit): 156
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesFiji[] ACE_TIME_PROGMEM = {
  // Rule    Fiji    1998    1999    -    Nov    Sun>=1    2:00    1:00    -
  {
    1998 /*fromYear*/,
    1999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    1999    2000    -    Feb    lastSun    3:00    0    -
  {
    1999 /*fromYear*/,
    2000 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2009    only    -    Nov    29    2:00    1:00    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2010    only    -    Mar    lastSun    3:00    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2010    2013    -    Oct    Sun>=21    2:00    1:00    -
  {
    2010 /*fromYear*/,
    2013 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2011    only    -    Mar    Sun>=1    3:00    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2012    2013    -    Jan    Sun>=18    3:00    0    -
  {
    2012 /*fromYear*/,
    2013 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2014    only    -    Jan    Sun>=18    2:00    0    -
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2014    2018    -    Nov    Sun>=1    2:00    1:00    -
  {
    2014 /*fromYear*/,
    2018 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2015    2021    -    Jan    Sun>=12    3:00    0    -
  {
    2015 /*fromYear*/,
    2021 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2019    only    -    Nov    Sun>=8    2:00    1:00    -
  {
    2019 /*fromYear*/,
    2019 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Fiji    2020    only    -    Dec    20    2:00    1:00    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyFiji ACE_TIME_PROGMEM = {
  kZoneRulesFiji /*rules*/,
  nullptr /*letters*/,
  12 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Guam
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesGuam[] ACE_TIME_PROGMEM = {
  // Rule    Guam    1977    only    -    Aug    28    2:00    0    S
  {
    1977 /*fromYear*/,
    1977 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyGuam ACE_TIME_PROGMEM = {
  kZoneRulesGuam /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Guat
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesGuat[] ACE_TIME_PROGMEM = {
  // Rule    Guat    1991    only    -    Sep     7    0:00    0    S
  {
    1991 /*fromYear*/,
    1991 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Guat    2006    only    -    Apr    30    0:00    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Guat    2006    only    -    Oct     1    0:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyGuat ACE_TIME_PROGMEM = {
  kZoneRulesGuat /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: HK
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesHK[] ACE_TIME_PROGMEM = {
  // Rule    HK    1979    only    -    Oct    21    3:30    0    -
  {
    1979 /*fromYear*/,
    1979 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    14 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyHK ACE_TIME_PROGMEM = {
  kZoneRulesHK /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Haiti
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesHaiti[] ACE_TIME_PROGMEM = {
  // Rule    Haiti    1988    1997    -    Oct    lastSun    1:00s    0    S
  {
    1988 /*fromYear*/,
    1997 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2005    2006    -    Apr    Sun>=1    0:00    1:00    D
  {
    2005 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2005    2006    -    Oct    lastSun    0:00    0    S
  {
    2005 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2012    2015    -    Mar    Sun>=8    2:00    1:00    D
  {
    2012 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2012    2015    -    Nov    Sun>=1    2:00    0    S
  {
    2012 /*fromYear*/,
    2015 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Haiti    2017    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2017 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Haiti    2017    max    -    Nov    Sun>=1    2:00    0    S
  {
    2017 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyHaiti ACE_TIME_PROGMEM = {
  kZoneRulesHaiti /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Holiday
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesHoliday[] ACE_TIME_PROGMEM = {
  // Rule    Holiday    1993    1994    -    Mar    Sun>=1    2:00s    0    S
  {
    1993 /*fromYear*/,
    1994 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyHoliday ACE_TIME_PROGMEM = {
  kZoneRulesHoliday /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Hond
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesHond[] ACE_TIME_PROGMEM = {
  // Rule    Hond    1987    1988    -    Sep    lastSun    0:00    0    S
  {
    1987 /*fromYear*/,
    1988 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Hond    2006    only    -    May    Sun>=1    0:00    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Hond    2006    only    -    Aug    Mon>=1    0:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    8 /*inMonth*/,
    1 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyHond ACE_TIME_PROGMEM = {
  kZoneRulesHond /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Iran
// Rules: 27
// Memory (8-bit): 303
// Memory (32-bit): 336
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesIran[] ACE_TIME_PROGMEM = {
  // Rule    Iran    1996    only    -    Sep    20    24:00    0    -
  {
    1996 /*fromYear*/,
    1996 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    1997    1999    -    Mar    21    24:00    1:00    -
  {
    1997 /*fromYear*/,
    1999 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    1997    1999    -    Sep    21    24:00    0    -
  {
    1997 /*fromYear*/,
    1999 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2000    only    -    Mar    20    24:00    1:00    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2000    only    -    Sep    20    24:00    0    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2001    2003    -    Mar    21    24:00    1:00    -
  {
    2001 /*fromYear*/,
    2003 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2001    2003    -    Sep    21    24:00    0    -
  {
    2001 /*fromYear*/,
    2003 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2004    only    -    Mar    20    24:00    1:00    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2004    only    -    Sep    20    24:00    0    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2005    only    -    Mar    21    24:00    1:00    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2005    only    -    Sep    21    24:00    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2008    only    -    Mar    20    24:00    1:00    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2008    only    -    Sep    20    24:00    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2009    2011    -    Mar    21    24:00    1:00    -
  {
    2009 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2009    2011    -    Sep    21    24:00    0    -
  {
    2009 /*fromYear*/,
    2011 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2012    only    -    Mar    20    24:00    1:00    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2012    only    -    Sep    20    24:00    0    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2013    2015    -    Mar    21    24:00    1:00    -
  {
    2013 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2013    2015    -    Sep    21    24:00    0    -
  {
    2013 /*fromYear*/,
    2015 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2016    only    -    Mar    20    24:00    1:00    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2016    only    -    Sep    20    24:00    0    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2017    2019    -    Mar    21    24:00    1:00    -
  {
    2017 /*fromYear*/,
    2019 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2017    2019    -    Sep    21    24:00    0    -
  {
    2017 /*fromYear*/,
    2019 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2020    only    -    Mar    20    24:00    1:00    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2020    only    -    Sep    20    24:00    0    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2021    2022    -    Mar    21    24:00    1:00    -
  {
    2021 /*fromYear*/,
    2022 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iran    2021    2022    -    Sep    21    24:00    0    -
  {
    2021 /*fromYear*/,
    2022 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyIran ACE_TIME_PROGMEM = {
  kZoneRulesIran /*rules*/,
  nullptr /*letters*/,
  27 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Iraq
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesIraq[] ACE_TIME_PROGMEM = {
  // Rule    Iraq    1985    1990    -    Sep    lastSun    1:00s    0    -
  {
    1985 /*fromYear*/,
    1990 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iraq    1991    2007    -    Apr     1    3:00s    1:00    -
  {
    1991 /*fromYear*/,
    2007 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Iraq    1991    2007    -    Oct     1    3:00s    0    -
  {
    1991 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyIraq ACE_TIME_PROGMEM = {
  kZoneRulesIraq /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Japan
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesJapan[] ACE_TIME_PROGMEM = {
  // Rule    Japan    1948    1951    -    Sep    Sat>=8    25:00    0    S
  {
    1948 /*fromYear*/,
    1951 /*toYear*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    100 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyJapan ACE_TIME_PROGMEM = {
  kZoneRulesJapan /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Jordan
// Rules: 13
// Memory (8-bit): 149
// Memory (32-bit): 168
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesJordan[] ACE_TIME_PROGMEM = {
  // Rule    Jordan    1995    1998    -    Sep    Fri>=15    0:00s    0    -
  {
    1995 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    1999    only    -    Jul     1    0:00s    1:00    S
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    1999    2002    -    Sep    lastFri    0:00s    0    -
  {
    1999 /*fromYear*/,
    2002 /*toYear*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2000    2001    -    Mar    lastThu    0:00s    1:00    S
  {
    2000 /*fromYear*/,
    2001 /*toYear*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    2002    2012    -    Mar    lastThu    24:00    1:00    S
  {
    2002 /*fromYear*/,
    2012 /*toYear*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    2003    only    -    Oct    24    0:00s    0    -
  {
    2003 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2004    only    -    Oct    15    0:00s    0    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2005    only    -    Sep    lastFri    0:00s    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    9 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2006    2011    -    Oct    lastFri    0:00s    0    -
  {
    2006 /*fromYear*/,
    2011 /*toYear*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2013    only    -    Dec    20    0:00    0    -
  {
    2013 /*fromYear*/,
    2013 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2014    2021    -    Mar    lastThu    24:00    1:00    S
  {
    2014 /*fromYear*/,
    2021 /*toYear*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Jordan    2014    2022    -    Oct    lastFri    0:00s    0    -
  {
    2014 /*fromYear*/,
    2022 /*toYear*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Jordan    2022    only    -    Feb    lastThu    24:00    1:00    S
  {
    2022 /*fromYear*/,
    2022 /*toYear*/,
    2 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyJordan ACE_TIME_PROGMEM = {
  kZoneRulesJordan /*rules*/,
  nullptr /*letters*/,
  13 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Kyrgyz
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesKyrgyz[] ACE_TIME_PROGMEM = {
  // Rule    Kyrgyz    1992    1996    -    Sep    lastSun    0:00    0    -
  {
    1992 /*fromYear*/,
    1996 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Kyrgyz    1997    2005    -    Mar    lastSun    2:30    1:00    -
  {
    1997 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    10 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Kyrgyz    1997    2004    -    Oct    lastSun    2:30    0    -
  {
    1997 /*fromYear*/,
    2004 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    10 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyKyrgyz ACE_TIME_PROGMEM = {
  kZoneRulesKyrgyz /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: LH
// Rules: 9
// Memory (8-bit): 105
// Memory (32-bit): 120
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesLH[] ACE_TIME_PROGMEM = {
  // Rule    LH    1987    1999    -    Oct    lastSun    2:00    0:30    -
  {
    1987 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    6 /*deltaCode ((deltaMinutes=30)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    1990    1995    -    Mar    Sun>=1    2:00    0    -
  {
    1990 /*fromYear*/,
    1995 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    1996    2005    -    Mar    lastSun    2:00    0    -
  {
    1996 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2000    only    -    Aug    lastSun    2:00    0:30    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    8 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    6 /*deltaCode ((deltaMinutes=30)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2001    2007    -    Oct    lastSun    2:00    0:30    -
  {
    2001 /*fromYear*/,
    2007 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    6 /*deltaCode ((deltaMinutes=30)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2006    only    -    Apr    Sun>=1    2:00    0    -
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2007    only    -    Mar    lastSun    2:00    0    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2008    max    -    Apr    Sun>=1    2:00    0    -
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    LH    2008    max    -    Oct    Sun>=1    2:00    0:30    -
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    6 /*deltaCode ((deltaMinutes=30)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyLH ACE_TIME_PROGMEM = {
  kZoneRulesLH /*rules*/,
  nullptr /*letters*/,
  9 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Lebanon
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesLebanon[] ACE_TIME_PROGMEM = {
  // Rule    Lebanon    1993    max    -    Mar    lastSun    0:00    1:00    S
  {
    1993 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Lebanon    1993    1998    -    Sep    lastSun    0:00    0    -
  {
    1993 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Lebanon    1999    max    -    Oct    lastSun    0:00    0    -
  {
    1999 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyLebanon ACE_TIME_PROGMEM = {
  kZoneRulesLebanon /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Libya
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesLibya[] ACE_TIME_PROGMEM = {
  // Rule    Libya    1997    only    -    Oct     4    0:00    0    -
  {
    1997 /*fromYear*/,
    1997 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Libya    2013    only    -    Mar    lastFri    1:00    1:00    S
  {
    2013 /*fromYear*/,
    2013 /*toYear*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Libya    2013    only    -    Oct    lastFri    2:00    0    -
  {
    2013 /*fromYear*/,
    2013 /*toYear*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyLibya ACE_TIME_PROGMEM = {
  kZoneRulesLibya /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Macau
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesMacau[] ACE_TIME_PROGMEM = {
  // Rule    Macau    1979    only    -    Oct    Sun>=16    03:30    0    S
  {
    1979 /*fromYear*/,
    1979 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    14 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyMacau ACE_TIME_PROGMEM = {
  kZoneRulesMacau /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mauritius
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesMauritius[] ACE_TIME_PROGMEM = {
  // Rule Mauritius    1983    only    -    Mar    21    0:00    0    -
  {
    1983 /*fromYear*/,
    1983 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Mauritius    2008    only    -    Oct    lastSun    2:00    1:00    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Mauritius    2009    only    -    Mar    lastSun    2:00    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyMauritius ACE_TIME_PROGMEM = {
  kZoneRulesMauritius /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mexico
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesMexico[] ACE_TIME_PROGMEM = {
  // Rule    Mexico    1950    only    -    Jul    30    0:00    0    S
  {
    1950 /*fromYear*/,
    1950 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    1996    2000    -    Apr    Sun>=1    2:00    1:00    D
  {
    1996 /*fromYear*/,
    2000 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    1996    2000    -    Oct    lastSun    2:00    0    S
  {
    1996 /*fromYear*/,
    2000 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    2001    only    -    May    Sun>=1    2:00    1:00    D
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    5 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    2001    only    -    Sep    lastSun    2:00    0    S
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Mexico    2002    2022    -    Apr    Sun>=1    2:00    1:00    D
  {
    2002 /*fromYear*/,
    2022 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Mexico    2002    2022    -    Oct    lastSun    2:00    0    S
  {
    2002 /*fromYear*/,
    2022 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyMexico ACE_TIME_PROGMEM = {
  kZoneRulesMexico /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Moldova
// Rules: 2
// Memory (8-bit): 28
// Memory (32-bit): 36
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesMoldova[] ACE_TIME_PROGMEM = {
  // Rule    Moldova    1997    max    -    Mar    lastSun     2:00    1:00    S
  {
    1997 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Moldova    1997    max    -    Oct    lastSun     3:00    0    -
  {
    1997 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyMoldova ACE_TIME_PROGMEM = {
  kZoneRulesMoldova /*rules*/,
  nullptr /*letters*/,
  2 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Moncton
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesMoncton[] ACE_TIME_PROGMEM = {
  // Rule    Moncton    1957    1972    -    Oct    lastSun    2:00    0    S
  {
    1957 /*fromYear*/,
    1972 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Moncton    1993    2006    -    Apr    Sun>=1    0:01    1:00    D
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Moncton    1993    2006    -    Oct    lastSun    0:01    0    S
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyMoncton ACE_TIME_PROGMEM = {
  kZoneRulesMoncton /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Mongol
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesMongol[] ACE_TIME_PROGMEM = {
  // Rule    Mongol    1984    1998    -    Sep    lastSun    0:00    0    -
  {
    1984 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2001    only    -    Apr    lastSat    2:00    1:00    -
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    4 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2001    2006    -    Sep    lastSat    2:00    0    -
  {
    2001 /*fromYear*/,
    2006 /*toYear*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2002    2006    -    Mar    lastSat    2:00    1:00    -
  {
    2002 /*fromYear*/,
    2006 /*toYear*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2015    2016    -    Mar    lastSat    2:00    1:00    -
  {
    2015 /*fromYear*/,
    2016 /*toYear*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Mongol    2015    2016    -    Sep    lastSat    0:00    0    -
  {
    2015 /*fromYear*/,
    2016 /*toYear*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyMongol ACE_TIME_PROGMEM = {
  kZoneRulesMongol /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Morocco
// Rules: 169
// Memory (8-bit): 1865
// Memory (32-bit): 2040
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesMorocco[] ACE_TIME_PROGMEM = {
  // Rule    Morocco    1978    only    -    Aug     4     0:00    0    -
  {
    1978 /*fromYear*/,
    1978 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2008    only    -    Jun     1     0:00    1:00    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2008    only    -    Sep     1     0:00    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2009    only    -    Jun     1     0:00    1:00    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2009    only    -    Aug    21     0:00    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2010    only    -    May     2     0:00    1:00    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2010    only    -    Aug     8     0:00    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2011    only    -    Apr     3     0:00    1:00    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2011    only    -    Jul    31     0:00    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2012    2013    -    Apr    lastSun     2:00    1:00    -
  {
    2012 /*fromYear*/,
    2013 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2012    only    -    Jul    20     3:00    0    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2012    only    -    Aug    20     2:00    1:00    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2012    only    -    Sep    30     3:00    0    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2013    only    -    Jul     7     3:00    0    -
  {
    2013 /*fromYear*/,
    2013 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2013    only    -    Aug    10     2:00    1:00    -
  {
    2013 /*fromYear*/,
    2013 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2013    2018    -    Oct    lastSun     3:00    0    -
  {
    2013 /*fromYear*/,
    2018 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2014    2018    -    Mar    lastSun     2:00    1:00    -
  {
    2014 /*fromYear*/,
    2018 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2014    only    -    Jun    28     3:00    0    -
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2014    only    -    Aug     2     2:00    1:00    -
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2015    only    -    Jun    14     3:00    0    -
  {
    2015 /*fromYear*/,
    2015 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2015    only    -    Jul    19     2:00    1:00    -
  {
    2015 /*fromYear*/,
    2015 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2016    only    -    Jun     5     3:00    0    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2016    only    -    Jul    10     2:00    1:00    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2017    only    -    May    21     3:00    0    -
  {
    2017 /*fromYear*/,
    2017 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2017    only    -    Jul     2     2:00    1:00    -
  {
    2017 /*fromYear*/,
    2017 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2018    only    -    May    13     3:00    0    -
  {
    2018 /*fromYear*/,
    2018 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2018    only    -    Jun    17     2:00    1:00    -
  {
    2018 /*fromYear*/,
    2018 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    17 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2019    only    -    May     5     3:00    -1:00    -
  {
    2019 /*fromYear*/,
    2019 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2019    only    -    Jun     9     2:00    0    -
  {
    2019 /*fromYear*/,
    2019 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2020    only    -    Apr    19     3:00    -1:00    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2020    only    -    May    31     2:00    0    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2021    only    -    Apr    11     3:00    -1:00    -
  {
    2021 /*fromYear*/,
    2021 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2021    only    -    May    16     2:00    0    -
  {
    2021 /*fromYear*/,
    2021 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2022    only    -    Mar    27     3:00    -1:00    -
  {
    2022 /*fromYear*/,
    2022 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2022    only    -    May     8     2:00    0    -
  {
    2022 /*fromYear*/,
    2022 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2023    only    -    Mar    19     3:00    -1:00    -
  {
    2023 /*fromYear*/,
    2023 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2023    only    -    Apr    30     2:00    0    -
  {
    2023 /*fromYear*/,
    2023 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2024    only    -    Mar    10     3:00    -1:00    -
  {
    2024 /*fromYear*/,
    2024 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2024    only    -    Apr    14     2:00    0    -
  {
    2024 /*fromYear*/,
    2024 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2025    only    -    Feb    23     3:00    -1:00    -
  {
    2025 /*fromYear*/,
    2025 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2025    only    -    Apr     6     2:00    0    -
  {
    2025 /*fromYear*/,
    2025 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2026    only    -    Feb    15     3:00    -1:00    -
  {
    2026 /*fromYear*/,
    2026 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2026    only    -    Mar    22     2:00    0    -
  {
    2026 /*fromYear*/,
    2026 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2027    only    -    Feb     7     3:00    -1:00    -
  {
    2027 /*fromYear*/,
    2027 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2027    only    -    Mar    14     2:00    0    -
  {
    2027 /*fromYear*/,
    2027 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2028    only    -    Jan    23     3:00    -1:00    -
  {
    2028 /*fromYear*/,
    2028 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2028    only    -    Mar     5     2:00    0    -
  {
    2028 /*fromYear*/,
    2028 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2029    only    -    Jan    14     3:00    -1:00    -
  {
    2029 /*fromYear*/,
    2029 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2029    only    -    Feb    18     2:00    0    -
  {
    2029 /*fromYear*/,
    2029 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2029    only    -    Dec    30     3:00    -1:00    -
  {
    2029 /*fromYear*/,
    2029 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2030    only    -    Feb    10     2:00    0    -
  {
    2030 /*fromYear*/,
    2030 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2030    only    -    Dec    22     3:00    -1:00    -
  {
    2030 /*fromYear*/,
    2030 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2031    only    -    Feb     2     2:00    0    -
  {
    2031 /*fromYear*/,
    2031 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2031    only    -    Dec    14     3:00    -1:00    -
  {
    2031 /*fromYear*/,
    2031 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2032    only    -    Jan    18     2:00    0    -
  {
    2032 /*fromYear*/,
    2032 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2032    only    -    Nov    28     3:00    -1:00    -
  {
    2032 /*fromYear*/,
    2032 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2033    only    -    Jan     9     2:00    0    -
  {
    2033 /*fromYear*/,
    2033 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2033    only    -    Nov    20     3:00    -1:00    -
  {
    2033 /*fromYear*/,
    2033 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2033    only    -    Dec    25     2:00    0    -
  {
    2033 /*fromYear*/,
    2033 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2034    only    -    Nov     5     3:00    -1:00    -
  {
    2034 /*fromYear*/,
    2034 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2034    only    -    Dec    17     2:00    0    -
  {
    2034 /*fromYear*/,
    2034 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    17 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2035    only    -    Oct    28     3:00    -1:00    -
  {
    2035 /*fromYear*/,
    2035 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2035    only    -    Dec     9     2:00    0    -
  {
    2035 /*fromYear*/,
    2035 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2036    only    -    Oct    19     3:00    -1:00    -
  {
    2036 /*fromYear*/,
    2036 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2036    only    -    Nov    23     2:00    0    -
  {
    2036 /*fromYear*/,
    2036 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2037    only    -    Oct     4     3:00    -1:00    -
  {
    2037 /*fromYear*/,
    2037 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2037    only    -    Nov    15     2:00    0    -
  {
    2037 /*fromYear*/,
    2037 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2038    only    -    Sep    26     3:00    -1:00    -
  {
    2038 /*fromYear*/,
    2038 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    26 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2038    only    -    Nov     7     2:00    0    -
  {
    2038 /*fromYear*/,
    2038 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2039    only    -    Sep    18     3:00    -1:00    -
  {
    2039 /*fromYear*/,
    2039 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2039    only    -    Oct    23     2:00    0    -
  {
    2039 /*fromYear*/,
    2039 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2040    only    -    Sep     2     3:00    -1:00    -
  {
    2040 /*fromYear*/,
    2040 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2040    only    -    Oct    14     2:00    0    -
  {
    2040 /*fromYear*/,
    2040 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2041    only    -    Aug    25     3:00    -1:00    -
  {
    2041 /*fromYear*/,
    2041 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2041    only    -    Sep    29     2:00    0    -
  {
    2041 /*fromYear*/,
    2041 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2042    only    -    Aug    10     3:00    -1:00    -
  {
    2042 /*fromYear*/,
    2042 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2042    only    -    Sep    21     2:00    0    -
  {
    2042 /*fromYear*/,
    2042 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2043    only    -    Aug     2     3:00    -1:00    -
  {
    2043 /*fromYear*/,
    2043 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2043    only    -    Sep    13     2:00    0    -
  {
    2043 /*fromYear*/,
    2043 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2044    only    -    Jul    24     3:00    -1:00    -
  {
    2044 /*fromYear*/,
    2044 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2044    only    -    Aug    28     2:00    0    -
  {
    2044 /*fromYear*/,
    2044 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2045    only    -    Jul     9     3:00    -1:00    -
  {
    2045 /*fromYear*/,
    2045 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2045    only    -    Aug    20     2:00    0    -
  {
    2045 /*fromYear*/,
    2045 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2046    only    -    Jul     1     3:00    -1:00    -
  {
    2046 /*fromYear*/,
    2046 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2046    only    -    Aug    12     2:00    0    -
  {
    2046 /*fromYear*/,
    2046 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2047    only    -    Jun    23     3:00    -1:00    -
  {
    2047 /*fromYear*/,
    2047 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2047    only    -    Jul    28     2:00    0    -
  {
    2047 /*fromYear*/,
    2047 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2048    only    -    Jun     7     3:00    -1:00    -
  {
    2048 /*fromYear*/,
    2048 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2048    only    -    Jul    19     2:00    0    -
  {
    2048 /*fromYear*/,
    2048 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2049    only    -    May    30     3:00    -1:00    -
  {
    2049 /*fromYear*/,
    2049 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2049    only    -    Jul     4     2:00    0    -
  {
    2049 /*fromYear*/,
    2049 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2050    only    -    May    15     3:00    -1:00    -
  {
    2050 /*fromYear*/,
    2050 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2050    only    -    Jun    26     2:00    0    -
  {
    2050 /*fromYear*/,
    2050 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    26 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2051    only    -    May     7     3:00    -1:00    -
  {
    2051 /*fromYear*/,
    2051 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2051    only    -    Jun    18     2:00    0    -
  {
    2051 /*fromYear*/,
    2051 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2052    only    -    Apr    28     3:00    -1:00    -
  {
    2052 /*fromYear*/,
    2052 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2052    only    -    Jun     2     2:00    0    -
  {
    2052 /*fromYear*/,
    2052 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2053    only    -    Apr    13     3:00    -1:00    -
  {
    2053 /*fromYear*/,
    2053 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2053    only    -    May    25     2:00    0    -
  {
    2053 /*fromYear*/,
    2053 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2054    only    -    Apr     5     3:00    -1:00    -
  {
    2054 /*fromYear*/,
    2054 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2054    only    -    May    17     2:00    0    -
  {
    2054 /*fromYear*/,
    2054 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    17 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2055    only    -    Mar    28     3:00    -1:00    -
  {
    2055 /*fromYear*/,
    2055 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2055    only    -    May     2     2:00    0    -
  {
    2055 /*fromYear*/,
    2055 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2056    only    -    Mar    12     3:00    -1:00    -
  {
    2056 /*fromYear*/,
    2056 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2056    only    -    Apr    23     2:00    0    -
  {
    2056 /*fromYear*/,
    2056 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2057    only    -    Mar     4     3:00    -1:00    -
  {
    2057 /*fromYear*/,
    2057 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2057    only    -    Apr     8     2:00    0    -
  {
    2057 /*fromYear*/,
    2057 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2058    only    -    Feb    17     3:00    -1:00    -
  {
    2058 /*fromYear*/,
    2058 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    17 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2058    only    -    Mar    31     2:00    0    -
  {
    2058 /*fromYear*/,
    2058 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2059    only    -    Feb     9     3:00    -1:00    -
  {
    2059 /*fromYear*/,
    2059 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2059    only    -    Mar    23     2:00    0    -
  {
    2059 /*fromYear*/,
    2059 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2060    only    -    Feb     1     3:00    -1:00    -
  {
    2060 /*fromYear*/,
    2060 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2060    only    -    Mar     7     2:00    0    -
  {
    2060 /*fromYear*/,
    2060 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2061    only    -    Jan    16     3:00    -1:00    -
  {
    2061 /*fromYear*/,
    2061 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2061    only    -    Feb    27     2:00    0    -
  {
    2061 /*fromYear*/,
    2061 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2062    only    -    Jan     8     3:00    -1:00    -
  {
    2062 /*fromYear*/,
    2062 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2062    only    -    Feb    19     2:00    0    -
  {
    2062 /*fromYear*/,
    2062 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2062    only    -    Dec    31     3:00    -1:00    -
  {
    2062 /*fromYear*/,
    2062 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    31 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2063    only    -    Feb     4     2:00    0    -
  {
    2063 /*fromYear*/,
    2063 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2063    only    -    Dec    16     3:00    -1:00    -
  {
    2063 /*fromYear*/,
    2063 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2064    only    -    Jan    27     2:00    0    -
  {
    2064 /*fromYear*/,
    2064 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2064    only    -    Dec     7     3:00    -1:00    -
  {
    2064 /*fromYear*/,
    2064 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2065    only    -    Jan    11     2:00    0    -
  {
    2065 /*fromYear*/,
    2065 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2065    only    -    Nov    22     3:00    -1:00    -
  {
    2065 /*fromYear*/,
    2065 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2066    only    -    Jan     3     2:00    0    -
  {
    2066 /*fromYear*/,
    2066 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2066    only    -    Nov    14     3:00    -1:00    -
  {
    2066 /*fromYear*/,
    2066 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2066    only    -    Dec    26     2:00    0    -
  {
    2066 /*fromYear*/,
    2066 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    26 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2067    only    -    Nov     6     3:00    -1:00    -
  {
    2067 /*fromYear*/,
    2067 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2067    only    -    Dec    11     2:00    0    -
  {
    2067 /*fromYear*/,
    2067 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2068    only    -    Oct    21     3:00    -1:00    -
  {
    2068 /*fromYear*/,
    2068 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2068    only    -    Dec     2     2:00    0    -
  {
    2068 /*fromYear*/,
    2068 /*toYear*/,
    12 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2069    only    -    Oct    13     3:00    -1:00    -
  {
    2069 /*fromYear*/,
    2069 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2069    only    -    Nov    24     2:00    0    -
  {
    2069 /*fromYear*/,
    2069 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2070    only    -    Oct     5     3:00    -1:00    -
  {
    2070 /*fromYear*/,
    2070 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2070    only    -    Nov     9     2:00    0    -
  {
    2070 /*fromYear*/,
    2070 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2071    only    -    Sep    20     3:00    -1:00    -
  {
    2071 /*fromYear*/,
    2071 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2071    only    -    Nov     1     2:00    0    -
  {
    2071 /*fromYear*/,
    2071 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2072    only    -    Sep    11     3:00    -1:00    -
  {
    2072 /*fromYear*/,
    2072 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2072    only    -    Oct    16     2:00    0    -
  {
    2072 /*fromYear*/,
    2072 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2073    only    -    Aug    27     3:00    -1:00    -
  {
    2073 /*fromYear*/,
    2073 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2073    only    -    Oct     8     2:00    0    -
  {
    2073 /*fromYear*/,
    2073 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2074    only    -    Aug    19     3:00    -1:00    -
  {
    2074 /*fromYear*/,
    2074 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2074    only    -    Sep    30     2:00    0    -
  {
    2074 /*fromYear*/,
    2074 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2075    only    -    Aug    11     3:00    -1:00    -
  {
    2075 /*fromYear*/,
    2075 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2075    only    -    Sep    15     2:00    0    -
  {
    2075 /*fromYear*/,
    2075 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2076    only    -    Jul    26     3:00    -1:00    -
  {
    2076 /*fromYear*/,
    2076 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    26 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2076    only    -    Sep     6     2:00    0    -
  {
    2076 /*fromYear*/,
    2076 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2077    only    -    Jul    18     3:00    -1:00    -
  {
    2077 /*fromYear*/,
    2077 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    18 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2077    only    -    Aug    29     2:00    0    -
  {
    2077 /*fromYear*/,
    2077 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2078    only    -    Jul    10     3:00    -1:00    -
  {
    2078 /*fromYear*/,
    2078 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2078    only    -    Aug    14     2:00    0    -
  {
    2078 /*fromYear*/,
    2078 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2079    only    -    Jun    25     3:00    -1:00    -
  {
    2079 /*fromYear*/,
    2079 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    25 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2079    only    -    Aug     6     2:00    0    -
  {
    2079 /*fromYear*/,
    2079 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2080    only    -    Jun    16     3:00    -1:00    -
  {
    2080 /*fromYear*/,
    2080 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2080    only    -    Jul    21     2:00    0    -
  {
    2080 /*fromYear*/,
    2080 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2081    only    -    Jun     1     3:00    -1:00    -
  {
    2081 /*fromYear*/,
    2081 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2081    only    -    Jul    13     2:00    0    -
  {
    2081 /*fromYear*/,
    2081 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2082    only    -    May    24     3:00    -1:00    -
  {
    2082 /*fromYear*/,
    2082 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2082    only    -    Jul     5     2:00    0    -
  {
    2082 /*fromYear*/,
    2082 /*toYear*/,
    7 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2083    only    -    May    16     3:00    -1:00    -
  {
    2083 /*fromYear*/,
    2083 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2083    only    -    Jun    20     2:00    0    -
  {
    2083 /*fromYear*/,
    2083 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    20 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2084    only    -    Apr    30     3:00    -1:00    -
  {
    2084 /*fromYear*/,
    2084 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2084    only    -    Jun    11     2:00    0    -
  {
    2084 /*fromYear*/,
    2084 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2085    only    -    Apr    22     3:00    -1:00    -
  {
    2085 /*fromYear*/,
    2085 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2085    only    -    Jun     3     2:00    0    -
  {
    2085 /*fromYear*/,
    2085 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2086    only    -    Apr    14     3:00    -1:00    -
  {
    2086 /*fromYear*/,
    2086 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2086    only    -    May    19     2:00    0    -
  {
    2086 /*fromYear*/,
    2086 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2087    only    -    Mar    30     3:00    -1:00    -
  {
    2087 /*fromYear*/,
    2087 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Morocco    2087    only    -    May    11     2:00    0    -
  {
    2087 /*fromYear*/,
    2087 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyMorocco ACE_TIME_PROGMEM = {
  kZoneRulesMorocco /*rules*/,
  nullptr /*letters*/,
  169 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: NC
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesNC[] ACE_TIME_PROGMEM = {
  // Rule    NC    1997    only    -    Mar     2    2:00s    0    -
  {
    1997 /*fromYear*/,
    1997 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyNC ACE_TIME_PROGMEM = {
  kZoneRulesNC /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: NT_YK
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesNT_YK[] ACE_TIME_PROGMEM = {
  // Rule    NT_YK    1972    1986    -    Apr    lastSun    2:00    1:00    D
  {
    1972 /*fromYear*/,
    1986 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    NT_YK    1972    2006    -    Oct    lastSun    2:00    0    S
  {
    1972 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    NT_YK    1987    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    1987 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyNT_YK ACE_TIME_PROGMEM = {
  kZoneRulesNT_YK /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: NZ
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesNZ[] ACE_TIME_PROGMEM = {
  // Rule    NZ    1989    only    -    Oct    Sun>=8    2:00s    1:00    D
  {
    1989 /*fromYear*/,
    1989 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    1990    2006    -    Oct    Sun>=1    2:00s    1:00    D
  {
    1990 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    1990    2007    -    Mar    Sun>=15    2:00s    0    S
  {
    1990 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    NZ    2007    max    -    Sep    lastSun    2:00s    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    NZ    2008    max    -    Apr    Sun>=1    2:00s    0    S
  {
    2008 /*fromYear*/,
    9999 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyNZ ACE_TIME_PROGMEM = {
  kZoneRulesNZ /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Namibia
// Rules: 3
// Memory (8-bit): 51
// Memory (32-bit): 64
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesNamibia[] ACE_TIME_PROGMEM = {
  // Rule    Namibia    1994    only    -    Mar    21    0:00    -1:00    WAT
  {
    1994 /*fromYear*/,
    1994 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    1 /*letter (index to "WAT")*/,
  },
  // Rule    Namibia    1994    2017    -    Sep    Sun>=1    2:00    0    CAT
  {
    1994 /*fromYear*/,
    2017 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    0 /*letter (index to "CAT")*/,
  },
  // Rule    Namibia    1995    2017    -    Apr    Sun>=1    2:00    -1:00    WAT
  {
    1995 /*fromYear*/,
    2017 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    0 /*deltaCode ((deltaMinutes=-60)/15 + 4)*/,
    1 /*letter (index to "WAT")*/,
  },

};

static const char* const kLettersNamibia[] ACE_TIME_PROGMEM = {
  /*0*/ "CAT",
  /*1*/ "WAT",

};


const extended::ZonePolicy kZonePolicyNamibia ACE_TIME_PROGMEM = {
  kZoneRulesNamibia /*rules*/,
  kLettersNamibia /*letters*/,
  3 /*numRules*/,
  2 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Nic
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesNic[] ACE_TIME_PROGMEM = {
  // Rule    Nic    1979    1980    -    Jun    Mon>=23    0:00    0    S
  {
    1979 /*fromYear*/,
    1980 /*toYear*/,
    6 /*inMonth*/,
    1 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Nic    2005    only    -    Apr    10    0:00    1:00    D
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    10 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Nic    2005    only    -    Oct    Sun>=1    0:00    0    S
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Nic    2006    only    -    Apr    30    2:00    1:00    D
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Nic    2006    only    -    Oct    Sun>=1    1:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyNic ACE_TIME_PROGMEM = {
  kZoneRulesNic /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: PRC
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesPRC[] ACE_TIME_PROGMEM = {
  // Rule    PRC    1986    1991    -    Sep    Sun>=11     2:00    0    S
  {
    1986 /*fromYear*/,
    1991 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyPRC ACE_TIME_PROGMEM = {
  kZoneRulesPRC /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Pakistan
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesPakistan[] ACE_TIME_PROGMEM = {
  // Anchor: Rule Pakistan    2002    only    -    Oct    Sun>=2    0:00    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2002    only    -    Apr    Sun>=2    0:00    1:00    S
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Pakistan    2002    only    -    Oct    Sun>=2    0:00    0    -
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2008    only    -    Jun    1    0:00    1:00    S
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    6 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Pakistan    2008    2009    -    Nov    1    0:00    0    -
  {
    2008 /*fromYear*/,
    2009 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Pakistan    2009    only    -    Apr    15    0:00    1:00    S
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyPakistan ACE_TIME_PROGMEM = {
  kZoneRulesPakistan /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Palestine
// Rules: 33
// Memory (8-bit): 369
// Memory (32-bit): 408
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesPalestine[] ACE_TIME_PROGMEM = {
  // Anchor: Rule Palestine    1999    2003    -    Oct    Fri>=15    0:00    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    1999    2005    -    Apr    Fri>=15    0:00    1:00    S
  {
    1999 /*fromYear*/,
    2005 /*toYear*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    1999    2003    -    Oct    Fri>=15    0:00    0    -
  {
    1999 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2004    only    -    Oct     1    1:00    0    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2005    only    -    Oct     4    2:00    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2006    2007    -    Apr     1    0:00    1:00    S
  {
    2006 /*fromYear*/,
    2007 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2006    only    -    Sep    22    0:00    0    -
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2007    only    -    Sep    13    2:00    0    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    13 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2008    2009    -    Mar    lastFri    0:00    1:00    S
  {
    2008 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2008    only    -    Sep     1    0:00    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2009    only    -    Sep     4    1:00    0    -
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    4 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2010    only    -    Mar    26    0:00    1:00    S
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    26 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2010    only    -    Aug    11    0:00    0    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    11 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2011    only    -    Apr     1    0:01    1:00    S
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2011    only    -    Aug     1    0:00    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2011    only    -    Aug    30    0:00    1:00    S
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    8 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2011    only    -    Sep    30    0:00    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2012    2014    -    Mar    lastThu    24:00    1:00    S
  {
    2012 /*fromYear*/,
    2014 /*toYear*/,
    3 /*inMonth*/,
    4 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2012    only    -    Sep    21    1:00    0    -
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2013    only    -    Sep    27    0:00    0    -
  {
    2013 /*fromYear*/,
    2013 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2014    only    -    Oct    24    0:00    0    -
  {
    2014 /*fromYear*/,
    2014 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2015    only    -    Mar    28    0:00    1:00    S
  {
    2015 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2015    only    -    Oct    23    1:00    0    -
  {
    2015 /*fromYear*/,
    2015 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2016    2018    -    Mar    Sat<=30    1:00    1:00    S
  {
    2016 /*fromYear*/,
    2018 /*toYear*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    -30 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2016    2018    -    Oct    Sat<=30    1:00    0    -
  {
    2016 /*fromYear*/,
    2018 /*toYear*/,
    10 /*inMonth*/,
    6 /*onDayOfWeek*/,
    -30 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2019    only    -    Mar    29    0:00    1:00    S
  {
    2019 /*fromYear*/,
    2019 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2019    only    -    Oct    Sat<=30    0:00    0    -
  {
    2019 /*fromYear*/,
    2019 /*toYear*/,
    10 /*inMonth*/,
    6 /*onDayOfWeek*/,
    -30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2020    2021    -    Mar    Sat<=30    0:00    1:00    S
  {
    2020 /*fromYear*/,
    2021 /*toYear*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    -30 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2020    only    -    Oct    24    1:00    0    -
  {
    2020 /*fromYear*/,
    2020 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2021    only    -    Oct    29    1:00    0    -
  {
    2021 /*fromYear*/,
    2021 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2022    only    -    Mar    27    0:00    1:00    S
  {
    2022 /*fromYear*/,
    2022 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule Palestine    2022    max    -    Oct    Sat<=30    2:00    0    -
  {
    2022 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    6 /*onDayOfWeek*/,
    -30 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule Palestine    2023    max    -    Mar    Sat<=30    2:00    1:00    S
  {
    2023 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    6 /*onDayOfWeek*/,
    -30 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyPalestine ACE_TIME_PROGMEM = {
  kZoneRulesPalestine /*rules*/,
  nullptr /*letters*/,
  33 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Para
// Rules: 10
// Memory (8-bit): 116
// Memory (32-bit): 132
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesPara[] ACE_TIME_PROGMEM = {
  // Rule    Para    1996    2001    -    Oct    Sun>=1    0:00    1:00    -
  {
    1996 /*fromYear*/,
    2001 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    1997    only    -    Feb    lastSun    0:00    0    -
  {
    1997 /*fromYear*/,
    1997 /*toYear*/,
    2 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    1998    2001    -    Mar    Sun>=1    0:00    0    -
  {
    1998 /*fromYear*/,
    2001 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2002    2004    -    Apr    Sun>=1    0:00    0    -
  {
    2002 /*fromYear*/,
    2004 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2002    2003    -    Sep    Sun>=1    0:00    1:00    -
  {
    2002 /*fromYear*/,
    2003 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2004    2009    -    Oct    Sun>=15    0:00    1:00    -
  {
    2004 /*fromYear*/,
    2009 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2005    2009    -    Mar    Sun>=8    0:00    0    -
  {
    2005 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2010    max    -    Oct    Sun>=1    0:00    1:00    -
  {
    2010 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2010    2012    -    Apr    Sun>=8    0:00    0    -
  {
    2010 /*fromYear*/,
    2012 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Para    2013    max    -    Mar    Sun>=22    0:00    0    -
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyPara ACE_TIME_PROGMEM = {
  kZoneRulesPara /*rules*/,
  nullptr /*letters*/,
  10 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Peru
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesPeru[] ACE_TIME_PROGMEM = {
  // Rule    Peru    1994    only    -    Apr     1    0:00    0    -
  {
    1994 /*fromYear*/,
    1994 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyPeru ACE_TIME_PROGMEM = {
  kZoneRulesPeru /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Phil
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesPhil[] ACE_TIME_PROGMEM = {
  // Rule    Phil    1978    only    -    Sep    21    0:00    0    S
  {
    1978 /*fromYear*/,
    1978 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    21 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyPhil ACE_TIME_PROGMEM = {
  kZoneRulesPhil /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: ROK
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesROK[] ACE_TIME_PROGMEM = {
  // Rule    ROK    1987    1988    -    Oct    Sun>=8     3:00    0    S
  {
    1987 /*fromYear*/,
    1988 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyROK ACE_TIME_PROGMEM = {
  kZoneRulesROK /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Russia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesRussia[] ACE_TIME_PROGMEM = {
  // Rule    Russia    1984    1995    -    Sep    lastSun     2:00s    0    -
  {
    1984 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Russia    1985    2010    -    Mar    lastSun     2:00s    1:00    S
  {
    1985 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Russia    1996    2010    -    Oct    lastSun     2:00s    0    -
  {
    1996 /*fromYear*/,
    2010 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyRussia ACE_TIME_PROGMEM = {
  kZoneRulesRussia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: RussiaAsia
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesRussiaAsia[] ACE_TIME_PROGMEM = {
  // Rule RussiaAsia    1984    1995    -    Sep    lastSun     2:00s    0    -
  {
    1984 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule RussiaAsia    1985    2010    -    Mar    lastSun     2:00s    1:00    -
  {
    1985 /*fromYear*/,
    2010 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule RussiaAsia    1996    2010    -    Oct    lastSun     2:00s    0    -
  {
    1996 /*fromYear*/,
    2010 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyRussiaAsia ACE_TIME_PROGMEM = {
  kZoneRulesRussiaAsia /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: SA
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesSA[] ACE_TIME_PROGMEM = {
  // Rule    SA    1943    1944    -    Mar    Sun>=15    2:00    0    -
  {
    1943 /*fromYear*/,
    1944 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicySA ACE_TIME_PROGMEM = {
  kZoneRulesSA /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Salv
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesSalv[] ACE_TIME_PROGMEM = {
  // Rule    Salv    1987    1988    -    Sep    lastSun    0:00    0    S
  {
    1987 /*fromYear*/,
    1988 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicySalv ACE_TIME_PROGMEM = {
  kZoneRulesSalv /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: SanLuis
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesSanLuis[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    SanLuis    2008    2009    -    Mar    Sun>=8    0:00    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    SanLuis    2008    2009    -    Mar    Sun>=8    0:00    0    -
  {
    2008 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    SanLuis    2007    2008    -    Oct    Sun>=8    0:00    1:00    -
  {
    2007 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicySanLuis ACE_TIME_PROGMEM = {
  kZoneRulesSanLuis /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: StJohns
// Rules: 5
// Memory (8-bit): 66
// Memory (32-bit): 79
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesStJohns[] ACE_TIME_PROGMEM = {
  // Rule    StJohns    1987    2006    -    Oct    lastSun    0:01    0    S
  {
    1987 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    StJohns    1988    only    -    Apr    Sun>=1    0:01    2:00    DD
  {
    1988 /*fromYear*/,
    1988 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    12 /*deltaCode ((deltaMinutes=120)/15 + 4)*/,
    0 /*letter (index to "DD")*/,
  },
  // Rule    StJohns    1989    2006    -    Apr    Sun>=1    0:01    1:00    D
  {
    1989 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    StJohns    2007    2011    -    Mar    Sun>=8    0:01    1:00    D
  {
    2007 /*fromYear*/,
    2011 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    StJohns    2007    2010    -    Nov    Sun>=1    0:01    0    S
  {
    2007 /*fromYear*/,
    2010 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    1 /*atTimeModifier (kSuffixW + minute=1)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};

static const char* const kLettersStJohns[] ACE_TIME_PROGMEM = {
  /*0*/ "DD",

};


const extended::ZonePolicy kZonePolicyStJohns ACE_TIME_PROGMEM = {
  kZoneRulesStJohns /*rules*/,
  kLettersStJohns /*letters*/,
  5 /*numRules*/,
  1 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Sudan
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesSudan[] ACE_TIME_PROGMEM = {
  // Rule    Sudan    1970    1985    -    Oct    15    0:00    0    -
  {
    1970 /*fromYear*/,
    1985 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicySudan ACE_TIME_PROGMEM = {
  kZoneRulesSudan /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Syria
// Rules: 12
// Memory (8-bit): 138
// Memory (32-bit): 156
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesSyria[] ACE_TIME_PROGMEM = {
  // Rule    Syria    1994    2005    -    Oct     1    0:00    0    -
  {
    1994 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    1997    1998    -    Mar    lastMon    0:00    1:00    S
  {
    1997 /*fromYear*/,
    1998 /*toYear*/,
    3 /*inMonth*/,
    1 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    1999    2006    -    Apr     1    0:00    1:00    S
  {
    1999 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2006    only    -    Sep    22    0:00    0    -
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    2007    only    -    Mar    lastFri    0:00    1:00    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2007    only    -    Nov     Fri>=1    0:00    0    -
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    11 /*inMonth*/,
    5 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    2008    only    -    Apr    Fri>=1    0:00    1:00    S
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2008    only    -    Nov    1    0:00    0    -
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    11 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Syria    2009    only    -    Mar    lastFri    0:00    1:00    S
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2010    2011    -    Apr    Fri>=1    0:00    1:00    S
  {
    2010 /*fromYear*/,
    2011 /*toYear*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2012    2022    -    Mar    lastFri    0:00    1:00    S
  {
    2012 /*fromYear*/,
    2022 /*toYear*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Syria    2009    2022    -    Oct    lastFri    0:00    0    -
  {
    2009 /*fromYear*/,
    2022 /*toYear*/,
    10 /*inMonth*/,
    5 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicySyria ACE_TIME_PROGMEM = {
  kZoneRulesSyria /*rules*/,
  nullptr /*letters*/,
  12 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Taiwan
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesTaiwan[] ACE_TIME_PROGMEM = {
  // Rule    Taiwan    1979    only    -    Oct    1    0:00    0    S
  {
    1979 /*fromYear*/,
    1979 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyTaiwan ACE_TIME_PROGMEM = {
  kZoneRulesTaiwan /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Thule
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesThule[] ACE_TIME_PROGMEM = {
  // Rule    Thule    1991    1992    -    Sep    lastSun    2:00    0    S
  {
    1991 /*fromYear*/,
    1992 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Thule    1993    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Thule    1993    2006    -    Oct    lastSun    2:00    0    S
  {
    1993 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Thule    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Thule    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyThule ACE_TIME_PROGMEM = {
  kZoneRulesThule /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Tonga
// Rules: 7
// Memory (8-bit): 83
// Memory (32-bit): 96
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesTonga[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    Tonga    2000    only    -    Mar    19    2:00s    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    1999    only    -    Oct     7    2:00s    1:00    -
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2000    only    -    Mar    19    2:00s    0    -
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2000    2001    -    Nov    Sun>=1    2:00    1:00    -
  {
    2000 /*fromYear*/,
    2001 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2001    2002    -    Jan    lastSun    2:00    0    -
  {
    2001 /*fromYear*/,
    2002 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2016    only    -    Nov    Sun>=1    2:00    1:00    -
  {
    2016 /*fromYear*/,
    2016 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tonga    2017    only    -    Jan    Sun>=15    3:00    0    -
  {
    2017 /*fromYear*/,
    2017 /*toYear*/,
    1 /*inMonth*/,
    7 /*onDayOfWeek*/,
    15 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyTonga ACE_TIME_PROGMEM = {
  kZoneRulesTonga /*rules*/,
  nullptr /*letters*/,
  7 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Troll
// Rules: 3
// Memory (8-bit): 51
// Memory (32-bit): 64
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesTroll[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    Troll    2004    max    -    Oct    lastSun    1:00u    0:00    +00
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    0 /*letter (index to "+00")*/,
  },
  // Rule    Troll    2005    max    -    Mar    lastSun    1:00u    2:00    +02
  {
    2005 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    12 /*deltaCode ((deltaMinutes=120)/15 + 4)*/,
    1 /*letter (index to "+02")*/,
  },
  // Rule    Troll    2004    max    -    Oct    lastSun    1:00u    0:00    +00
  {
    2004 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    32 /*atTimeModifier (kSuffixU + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    0 /*letter (index to "+00")*/,
  },

};

static const char* const kLettersTroll[] ACE_TIME_PROGMEM = {
  /*0*/ "+00",
  /*1*/ "+02",

};


const extended::ZonePolicy kZonePolicyTroll ACE_TIME_PROGMEM = {
  kZoneRulesTroll /*rules*/,
  kLettersTroll /*letters*/,
  3 /*numRules*/,
  2 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Tunisia
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesTunisia[] ACE_TIME_PROGMEM = {
  // Rule    Tunisia    1988    1990    -    Sep    lastSun     0:00s    0    -
  {
    1988 /*fromYear*/,
    1990 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tunisia    2005    only    -    May     1     0:00s    1:00    S
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    5 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Tunisia    2005    only    -    Sep    30     1:00s    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    30 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Tunisia    2006    2008    -    Mar    lastSun     2:00s    1:00    S
  {
    2006 /*fromYear*/,
    2008 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Tunisia    2006    2008    -    Oct    lastSun     2:00s    0    -
  {
    2006 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyTunisia ACE_TIME_PROGMEM = {
  kZoneRulesTunisia /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Turkey
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesTurkey[] ACE_TIME_PROGMEM = {
  // Rule    Turkey    1986    1995    -    Sep    lastSun    1:00s    0    -
  {
    1986 /*fromYear*/,
    1995 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Turkey    1995    2006    -    Mar    lastSun    1:00s    1:00    S
  {
    1995 /*fromYear*/,
    2006 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Turkey    1996    2006    -    Oct    lastSun    1:00s    0    -
  {
    1996 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyTurkey ACE_TIME_PROGMEM = {
  kZoneRulesTurkey /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: US
// Rules: 5
// Memory (8-bit): 61
// Memory (32-bit): 72
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesUS[] ACE_TIME_PROGMEM = {
  // Rule    US    1967    2006    -    Oct    lastSun    2:00    0    S
  {
    1967 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    US    1976    1986    -    Apr    lastSun    2:00    1:00    D
  {
    1976 /*fromYear*/,
    1986 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    US    1987    2006    -    Apr    Sun>=1    2:00    1:00    D
  {
    1987 /*fromYear*/,
    2006 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    US    2007    max    -    Mar    Sun>=8    2:00    1:00    D
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    US    2007    max    -    Nov    Sun>=1    2:00    0    S
  {
    2007 /*fromYear*/,
    9999 /*toYear*/,
    11 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyUS ACE_TIME_PROGMEM = {
  kZoneRulesUS /*rules*/,
  nullptr /*letters*/,
  5 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Uruguay
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesUruguay[] ACE_TIME_PROGMEM = {
  // Rule    Uruguay    1993    only    -    Feb    28     0:00    0    -
  {
    1993 /*fromYear*/,
    1993 /*toYear*/,
    2 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2004    only    -    Sep    19     0:00    1:00    -
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    19 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2005    only    -    Mar    27     2:00    0    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2005    only    -    Oct     9     2:00    1:00    -
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2006    2015    -    Mar    Sun>=8     2:00    0    -
  {
    2006 /*fromYear*/,
    2015 /*toYear*/,
    3 /*inMonth*/,
    7 /*onDayOfWeek*/,
    8 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    Uruguay    2006    2014    -    Oct    Sun>=1     2:00    1:00    -
  {
    2006 /*fromYear*/,
    2014 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyUruguay ACE_TIME_PROGMEM = {
  kZoneRulesUruguay /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Vanuatu
// Rules: 1
// Memory (8-bit): 17
// Memory (32-bit): 24
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesVanuatu[] ACE_TIME_PROGMEM = {
  // Rule    Vanuatu    1992    1993    -    Jan    Sat>=22    24:00    0    -
  {
    1992 /*fromYear*/,
    1993 /*toYear*/,
    1 /*inMonth*/,
    6 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    96 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyVanuatu ACE_TIME_PROGMEM = {
  kZoneRulesVanuatu /*rules*/,
  nullptr /*letters*/,
  1 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: WS
// Rules: 6
// Memory (8-bit): 72
// Memory (32-bit): 84
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesWS[] ACE_TIME_PROGMEM = {
  // Anchor: Rule    WS    2011    only    -    Apr    Sat>=1    4:00    0    -
  {
    0 /*fromYear*/,
    0 /*toYear*/,
    1 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    WS    2010    only    -    Sep    lastSun    0:00    1    -
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    WS    2011    only    -    Apr    Sat>=1    4:00    0    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    4 /*inMonth*/,
    6 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    WS    2011    only    -    Sep    lastSat    3:00    1    -
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    9 /*inMonth*/,
    6 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    WS    2012    2021    -    Apr    Sun>=1    4:00    0    -
  {
    2012 /*fromYear*/,
    2021 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    16 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    '-' /*letter*/,
  },
  // Rule    WS    2012    2020    -    Sep    lastSun    3:00    1    -
  {
    2012 /*fromYear*/,
    2020 /*toYear*/,
    9 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    12 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    '-' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyWS ACE_TIME_PROGMEM = {
  kZoneRulesWS /*rules*/,
  nullptr /*letters*/,
  6 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Winn
// Rules: 3
// Memory (8-bit): 39
// Memory (32-bit): 48
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesWinn[] ACE_TIME_PROGMEM = {
  // Rule    Winn    1966    1986    -    Apr    lastSun    2:00s    1:00    D
  {
    1966 /*fromYear*/,
    1986 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Winn    1966    2005    -    Oct    lastSun    2:00s    0    S
  {
    1966 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Winn    1987    2005    -    Apr    Sun>=1    2:00s    1:00    D
  {
    1987 /*fromYear*/,
    2005 /*toYear*/,
    4 /*inMonth*/,
    7 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    16 /*atTimeModifier (kSuffixS + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyWinn ACE_TIME_PROGMEM = {
  kZoneRulesWinn /*rules*/,
  nullptr /*letters*/,
  3 /*numRules*/,
  0 /*numLetters*/,
};

//---------------------------------------------------------------------------
// Policy name: Zion
// Rules: 24
// Memory (8-bit): 270
// Memory (32-bit): 300
//---------------------------------------------------------------------------

static const extended::ZoneRule kZoneRulesZion[] ACE_TIME_PROGMEM = {
  // Rule    Zion    1998    only    -    Sep     6    0:00    0    S
  {
    1998 /*fromYear*/,
    1998 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    0 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    1999    only    -    Apr     2    2:00    1:00    D
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    1999    only    -    Sep     3    2:00    0    S
  {
    1999 /*fromYear*/,
    1999 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2000    only    -    Apr    14    2:00    1:00    D
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    14 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2000    only    -    Oct     6    1:00    0    S
  {
    2000 /*fromYear*/,
    2000 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    6 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2001    only    -    Apr     9    1:00    1:00    D
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2001    only    -    Sep    24    1:00    0    S
  {
    2001 /*fromYear*/,
    2001 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    24 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2002    only    -    Mar    29    1:00    1:00    D
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    29 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2002    only    -    Oct     7    1:00    0    S
  {
    2002 /*fromYear*/,
    2002 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2003    only    -    Mar    28    1:00    1:00    D
  {
    2003 /*fromYear*/,
    2003 /*toYear*/,
    3 /*inMonth*/,
    0 /*onDayOfWeek*/,
    28 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2003    only    -    Oct     3    1:00    0    S
  {
    2003 /*fromYear*/,
    2003 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    3 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2004    only    -    Apr     7    1:00    1:00    D
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    4 /*inMonth*/,
    0 /*onDayOfWeek*/,
    7 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2004    only    -    Sep    22    1:00    0    S
  {
    2004 /*fromYear*/,
    2004 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    22 /*onDayOfMonth*/,
    4 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2005    2012    -    Apr    Fri<=1    2:00    1:00    D
  {
    2005 /*fromYear*/,
    2012 /*toYear*/,
    4 /*inMonth*/,
    5 /*onDayOfWeek*/,
    -1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2005    only    -    Oct     9    2:00    0    S
  {
    2005 /*fromYear*/,
    2005 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    9 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2006    only    -    Oct     1    2:00    0    S
  {
    2006 /*fromYear*/,
    2006 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    1 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2007    only    -    Sep    16    2:00    0    S
  {
    2007 /*fromYear*/,
    2007 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    16 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2008    only    -    Oct     5    2:00    0    S
  {
    2008 /*fromYear*/,
    2008 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    5 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2009    only    -    Sep    27    2:00    0    S
  {
    2009 /*fromYear*/,
    2009 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    27 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2010    only    -    Sep    12    2:00    0    S
  {
    2010 /*fromYear*/,
    2010 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    12 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2011    only    -    Oct     2    2:00    0    S
  {
    2011 /*fromYear*/,
    2011 /*toYear*/,
    10 /*inMonth*/,
    0 /*onDayOfWeek*/,
    2 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2012    only    -    Sep    23    2:00    0    S
  {
    2012 /*fromYear*/,
    2012 /*toYear*/,
    9 /*inMonth*/,
    0 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },
  // Rule    Zion    2013    max    -    Mar    Fri>=23    2:00    1:00    D
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    3 /*inMonth*/,
    5 /*onDayOfWeek*/,
    23 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    8 /*deltaCode ((deltaMinutes=60)/15 + 4)*/,
    'D' /*letter*/,
  },
  // Rule    Zion    2013    max    -    Oct    lastSun    2:00    0    S
  {
    2013 /*fromYear*/,
    9999 /*toYear*/,
    10 /*inMonth*/,
    7 /*onDayOfWeek*/,
    0 /*onDayOfMonth*/,
    8 /*atTimeCode*/,
    0 /*atTimeModifier (kSuffixW + minute=0)*/,
    4 /*deltaCode ((deltaMinutes=0)/15 + 4)*/,
    'S' /*letter*/,
  },

};



const extended::ZonePolicy kZonePolicyZion ACE_TIME_PROGMEM = {
  kZoneRulesZion /*rules*/,
  nullptr /*letters*/,
  24 /*numRules*/,
  0 /*numLetters*/,
};



}
}
